#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xcd3f1140, "");
SYMBOL_CRC(flow_resources_alloc, 0xa9dcc3ae, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x409fc727, "");
SYMBOL_CRC(flow_resources_add, 0xb8bfc66c, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x80874eef, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x150c66e5, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xbe368c3b, "");
SYMBOL_CRC(uverbs_idr_class, 0xe9a3aeba, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x0f4e7c05, "");
SYMBOL_CRC(uverbs_fd_class, 0x50f09707, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x9b3dc2cc, "");
SYMBOL_CRC(_uverbs_alloc, 0x15c05a08, "");
SYMBOL_CRC(uverbs_get_flags64, 0xbbb2c3eb, "");
SYMBOL_CRC(uverbs_get_flags32, 0x911a6716, "");
SYMBOL_CRC(uverbs_copy_to, 0x3f1d4b25, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xac7d009e, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xeb2528f5, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x3cb7137d, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x30dca546, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x1f93ea99, "");
SYMBOL_CRC(ib_umem_get, 0x401dd19f, "");
SYMBOL_CRC(ib_umem_release, 0x56c0bcf6, "");
SYMBOL_CRC(ib_umem_copy_from, 0xa6453134, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x99350ced, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x4d702f38, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xd4c3282d, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x075123dd, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xd26bbcc4, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xd64a49bf, "");
SYMBOL_CRC(ib_umem_odp_get, 0xed733396, "");
SYMBOL_CRC(ib_umem_odp_release, 0x6fe4e3d0, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xa7643067, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xc75ead82, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46ad166e, "pin_user_pages_fast" },
	{ 0xc3bacc2e, "mmu_interval_notifier_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2637f1e2, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6f826c6b, "ib_unregister_client" },
	{ 0x7e8725d8, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2b6c3f7c, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef542145, "dev_set_name" },
	{ 0x3a961600, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x2a80c000, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf6707011, "mmu_interval_read_begin" },
	{ 0x88592081, "ib_create_qp_user" },
	{ 0xbc5f7a23, "dma_resv_wait_timeout" },
	{ 0xe67021a8, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x37579378, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x36559bc9, "kill_fasync" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0xf276164a, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4efb82e8, "fget" },
	{ 0xdf5e1680, "__put_task_struct" },
	{ 0x451e4a99, "ib_query_srq" },
	{ 0x54247dee, "ww_mutex_unlock" },
	{ 0xd978464, "device_initialize" },
	{ 0x789bcef, "__dynamic_ibdev_dbg" },
	{ 0x2f60c76d, "ib_rdmacg_try_charge" },
	{ 0xf1385e, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x634b20fb, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x372444c4, "unpin_user_page_range_dirty_lock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x51005f01, "iput" },
	{ 0x559697ef, "dma_buf_unpin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x12db6f4a, "zap_vma_ptes" },
	{ 0xb7caa39b, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6d29f224, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe3d6279e, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x45cd805c, "get_device" },
	{ 0x7f14640b, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x865124b2, "dma_buf_dynamic_attach" },
	{ 0x64c375fa, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x3d516ed1, "ib_destroy_srq_user" },
	{ 0x82593c6e, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x1393c18f, "hmm_range_fault" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x46b2809, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc1a39fc2, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfe743bf8, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x4e78c7e8, "ib_modify_qp_with_udata" },
	{ 0xc990d198, "ib_register_event_handler" },
	{ 0x62db9de, "ib_detach_mcast" },
	{ 0xebdb680d, "dma_buf_map_attachment" },
	{ 0xf0d9c4d1, "__free_pages" },
	{ 0x700110e4, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x971084e1, "module_put" },
	{ 0x898ebdf0, "ib_register_client" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x282b71a5, "compat_ptr_ioctl" },
	{ 0xf59e38dd, "ib_create_srq_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa69f298, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbbc03218, "init_srcu_struct" },
	{ 0xcbcbf83f, "fput" },
	{ 0xdacd5efb, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x25e21d8b, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4f567564, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xac9c266a, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9fb142d3, "dma_buf_get" },
	{ 0xc9fcce10, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x12e5e082, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xa8292218, "ww_mutex_lock" },
	{ 0xbd6a6323, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa70cdff7, "ib_qp_usecnt_inc" },
	{ 0x67605155, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x581d9f61, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x4d723faf, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1f1a2e3f, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x155e8f9e, "rdma_restrack_set_name" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x25217cff, "rdma_create_user_ah" },
	{ 0xee783e40, "rdma_destroy_ah_user" },
	{ 0x733ef13e, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5bf77b56, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x3c3c8184, "__mmdrop" },
	{ 0x7426de1d, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85a6fe1, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x6c3476b9, "__mmap_lock_do_trace_start_locking" },
	{ 0xf15630a, "ib_rdmacg_uncharge" },
	{ 0x9a6844cb, "igrab" },
	{ 0x16aaa6e8, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x59c5a206, "mmput" },
	{ 0x13a3ea18, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24c9d067, "__mmap_lock_do_trace_released" },
	{ 0xba84aaa2, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeb8c5be4, "__srcu_read_unlock" },
	{ 0x430b245b, "rdma_set_cq_moderation" },
	{ 0x1cdfa283, "ib_dealloc_xrcd_user" },
	{ 0x67301303, "dma_buf_detach" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4a9778f2, "stream_open" },
	{ 0x8cb391da, "mmu_interval_notifier_insert" },
	{ 0x54a1701f, "mmput_async" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5a9488c9, "ib_open_qp" },
	{ 0x988ccf9d, "ib_dealloc_pd_user" },
	{ 0x3f971e14, "rdma_get_gid_attr" },
	{ 0x1e4b1afa, "dma_unmap_sg_attrs" },
	{ 0x66f097c6, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8e019c2, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd9c780e2, "rdma_query_gid_table" },
	{ 0x86ed239a, "get_task_pid" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4020b72, "rdma_restrack_put" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x978360b6, "ib_attach_mcast" },
	{ 0xc5eb42dd, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x284c32fb, "ib_destroy_wq_user" },
	{ 0x4dcfcd21, "put_pid" },
	{ 0xbe427377, "class_register" },
	{ 0x25798b23, "cdev_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xbc6994bf, "rdma_user_mmap_entry_put" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6FA0407CBBF47EB89B26238");
