#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xcd777e36, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xd3f2fd27, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x208eaed9, "set_disk_ro" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4a0aabbc, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x35dcfb49, "__bio_add_page" },
	{ 0xd7297192, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbae18cb4, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xebc2e0ec, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd5faeda5, "md_find_rdev_rcu" },
	{ 0x53e3549, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2a80c000, "dump_page" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe6307bcb, "md_bitmap_start_sync" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xee75b01a, "md_bitmap_cond_end_sync" },
	{ 0xdd937c89, "md_error" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6a38aada, "async_xor_val_offs" },
	{ 0x59554972, "__cpu_present_mask" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0xd0f765b0, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd97c67d4, "md_bitmap_startwrite" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xac5b371f, "md_finish_reshape" },
	{ 0x68570ace, "__traceiter_block_bio_remap" },
	{ 0x5cf7cf32, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2e86cbef, "md_unregister_thread" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0xd7bd4520, "sync_page_io" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf149a1fc, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x2a200685, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c4653c1, "kthread_park" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x735c0ce2, "kernfs_notify" },
	{ 0xe388ebc1, "md_wakeup_thread" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x7a17a1f2, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x488bc186, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608542d4, "rdev_clear_badblocks" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x71d17102, "async_tx_quiesce" },
	{ 0x1f2da9a1, "md_write_start" },
	{ 0xc4b8075d, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xd9533bbd, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xedfe13d8, "async_xor" },
	{ 0xf0d9c4d1, "__free_pages" },
	{ 0xbb165ecd, "kmem_cache_alloc" },
	{ 0x20d412ea, "async_xor_offs" },
	{ 0xd846db08, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7ae45286, "submit_bio" },
	{ 0x6fded3c1, "blk_queue_flag_clear" },
	{ 0xeb09648c, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x69b26237, "kthread_unpark" },
	{ 0xc00c1806, "bioset_exit" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x71ea61f5, "md_done_sync" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3a94d1aa, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x28124cd7, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x565287fe, "md_wait_for_blocked_rdev" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xefc34076, "async_memcpy" },
	{ 0xe71a6120, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6acca024, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x9636017a, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x9b529e3f, "bio_chain" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfeeae87a, "__blk_trace_note_message" },
	{ 0xd71b493a, "__traceiter_block_unplug" },
	{ 0x6dd11fe2, "blkdev_issue_zeroout" },
	{ 0x3ea73f14, "disk_stack_limits" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x39d6bf87, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x45cf7b31, "md_do_sync" },
	{ 0x8eb30128, "async_raid6_2data_recov" },
	{ 0x33767b15, "bio_add_page" },
	{ 0x3211074c, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc7193a81, "md_update_sb" },
	{ 0x518d5412, "blk_queue_max_discard_sectors" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf5a84850, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xbe7a5881, "md_flush_request" },
	{ 0xec621b28, "bio_init" },
	{ 0x60696ef0, "md_register_thread" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x48a622d2, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x465b54e8, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15402c19, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x52aaa87f, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe84fd721, "unregister_md_personality" },
	{ 0xec6a870d, "blk_queue_max_write_zeroes_sectors" },
	{ 0x37dfb82a, "md_bitmap_unplug" },
	{ 0x2fc311fb, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x1e175c00, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69cec744, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0x22c6d79e, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf42506f0, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x296117e9, "md_check_recovery" },
	{ 0x4b4197c6, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x6566ce13, "blkdev_issue_flush" },
	{ 0xca113825, "mddev_suspend" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x45493539, "badblocks_check" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xa0ac1736, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x554ade45, "rdev_set_badblocks" },
	{ 0x75f5a1de, "bio_alloc_bioset" },
	{ 0x4da8d51b, "blk_queue_io_opt" },
	{ 0xabd0efa8, "async_raid6_datap_recov" },
	{ 0xd7b46acc, "submit_bio_wait" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0xb67b255a, "kmem_cache_destroy" },
	{ 0xd91754bd, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x2669d0a0, "blkdev_issue_discard" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "2719800A7E632A7B7088D4E");
