#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0xb936238a, "_gpl");
SYMBOL_CRC(c_can_power_down, 0x85d38b97, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x224d84c6, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0xef447264, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0x6cdde071, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0x3eb13e1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf2e09a71, "can_put_echo_skb" },
	{ 0x54f910d6, "can_get_echo_skb" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc2220a9c, "open_candev" },
	{ 0x5090240f, "netdev_err" },
	{ 0xa6debcb3, "pinctrl_pm_select_default_state" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0xff80db12, "alloc_can_skb" },
	{ 0xd42107e3, "unregister_candev" },
	{ 0x9963a4ea, "can_change_mtu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe655feee, "pinctrl_put" },
	{ 0xe4abbea7, "can_dropped_invalid_skb" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3267d21b, "pinctrl_pm_select_sleep_state" },
	{ 0xa1e14ae, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1744c565, "alloc_candev_mqs" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x396eb3e5, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x8c7b4de6, "netif_receive_skb" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa336fcc3, "close_candev" },
	{ 0x5eb4655e, "pinctrl_get" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x88261b00, "can_bus_off" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbef7aae5, "pinctrl_lookup_state" },
	{ 0xf442343a, "__pm_runtime_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7837d0cf, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe7c16b9b, "alloc_can_err_skb" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0x6383487f, "napi_disable" },
	{ 0x84a5c8b9, "register_candev" },
	{ 0x4420d31a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6ac3003, "ethtool_op_get_ts_info" },
	{ 0x349a2923, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "326631E12927EB9B045D2BC");
