#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x762c7279, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x8e84ba28, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x9184868, "xsk_tx_completed" },
	{ 0xea390a05, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xed60ce9, "pci_save_state" },
	{ 0x859b221d, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc608951c, "pcie_capability_read_word" },
	{ 0x305e1328, "device_set_wakeup_enable" },
	{ 0xe5e9cbb8, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcd41254, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5196bc28, "pci_find_ext_capability" },
	{ 0xe5935443, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x432e56b6, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x63ddfa75, "skb_copy_bits" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x55c4a611, "pci_request_selected_regions" },
	{ 0x6fadf687, "pci_release_selected_regions" },
	{ 0x68a64f60, "pci_wake_from_d3" },
	{ 0x25cc3940, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf7c0b294, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x916230ce, "auxiliary_device_init" },
	{ 0xd86dc0fc, "pci_enable_device_mem" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaf6a53d9, "xsk_tx_peek_release_desc_batch" },
	{ 0xf492ecb, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0xd6b74317, "bpf_warn_invalid_xdp_action" },
	{ 0x56fae72a, "ndo_dflt_bridge_getlink" },
	{ 0xd61f3c40, "unregister_netdev" },
	{ 0x3883d2cd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xb82c89aa, "xdp_features_set_redirect_target" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x4225848b, "pci_get_device" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0xfd8fd8d4, "request_firmware" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x88fec38e, "__pci_register_driver" },
	{ 0x5ba73fde, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x8bd10e4e, "pci_num_vf" },
	{ 0x5f33bd0, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb8146f8b, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x525438dd, "pci_disable_msi" },
	{ 0x3a276a9c, "ptp_clock_index" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x98b058d0, "xdp_do_redirect" },
	{ 0x1f0b5ac1, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0xbad78b8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x54fead9a, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x5f0dae6e, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xc24d7096, "flow_rule_match_ipv4_addrs" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf00387e4, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd059de62, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x5090240f, "netdev_err" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0xbf19cbd7, "pci_restore_msi_state" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x602c689f, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6531274d, "ptp_find_pin" },
	{ 0x87da509, "eth_type_trans" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0x35b54504, "irq_set_affinity_notifier" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x90183a1b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfe743bf8, "put_device" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0x6ac6d599, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xec35044f, "pci_enable_msix_range" },
	{ 0x33b6f23, "xsk_set_rx_need_wakeup" },
	{ 0x618911fc, "numa_node" },
	{ 0xf0d9c4d1, "__free_pages" },
	{ 0xf1239ea9, "__hw_addr_unsync_dev" },
	{ 0x72190323, "_dev_info" },
	{ 0xc81bab0a, "napi_gro_receive" },
	{ 0xac276b51, "xdp_features_clear_redirect_target" },
	{ 0xcb025ab4, "pci_select_bars" },
	{ 0xa8f85593, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb00d0d06, "xp_raw_get_dma" },
	{ 0xd362ab9, "eth_get_headlen" },
	{ 0x199d1e1d, "xdp_rxq_info_is_reg" },
	{ 0x6abcf851, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x96ba94c4, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x49ea48f4, "pci_enable_msi" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x758c4d15, "softnet_data" },
	{ 0x306c9707, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0x144d7e36, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3197a5a9, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xfcf7c91d, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb674fdb4, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c0aec1e, "netif_set_real_num_tx_queues" },
	{ 0x65784214, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x40ac8d98, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc4f7758, "dma_alloc_attrs" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0x2f8f6412, "pci_read_config_word" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x5ec22b17, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x93642761, "dcbnl_ieee_notify" },
	{ 0x3ede251c, "xsk_uses_need_wakeup" },
	{ 0x102c626c, "register_netdev" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0xf85fdb5e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6ebc539, "ethtool_op_get_link" },
	{ 0x66ef48ed, "eth_platform_get_mac_address" },
	{ 0xa6726374, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x524891d9, "netif_tx_stop_all_queues" },
	{ 0xb5f2daf1, "pci_restore_state" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0xf30e4aa9, "device_del" },
	{ 0xa608d55, "netdev_set_sb_channel" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x7b1cca34, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xfa562931, "dcb_getapp" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x79efb171, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x983b9104, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x47f488bd, "netif_schedule_queue" },
	{ 0x9313c61, "__alloc_pages" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x5d0a2270, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4c38033b, "flow_rule_match_ipv6_addrs" },
	{ 0x1c4de67c, "netdev_set_tc_queue" },
	{ 0xfa0e27a3, "ptp_clock_unregister" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0xc019ad80, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x245ab214, "netdev_unbind_sb_channel" },
	{ 0xc2078fc3, "dma_set_coherent_mask" },
	{ 0x41aaa46d, "bpf_trace_run3" },
	{ 0x30346d4c, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe1e5b0d, "ipv6_find_hdr" },
	{ 0x6fc7f00e, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x1545bc49, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf3336c5e, "netdev_reset_tc" },
	{ 0x681b4f, "dma_free_attrs" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34dc24ea, "call_netdevice_notifiers" },
	{ 0x7145a92b, "xp_set_rxq_info" },
	{ 0x1aac9367, "flow_rule_match_vlan" },
	{ 0xe941ef4, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x67f525ff, "napi_build_skb" },
	{ 0x27373754, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4bda3aaa, "__hw_addr_sync_dev" },
	{ 0x22605d50, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x5f60ba77, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xcb5c7ec5, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb0d5722e, "dev_uc_add_excl" },
	{ 0x9c644e18, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95f17f01, "xp_free" },
	{ 0xfbc20147, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7b4f84e5, "dev_uc_add" },
	{ 0x3193cc8c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9b7d28f9, "_dev_crit" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xb4fe9e83, "xdp_master_redirect" },
	{ 0x281df7d8, "__napi_schedule_irqoff" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0x69d48e03, "napi_consume_skb" },
	{ 0xf3a777cb, "pci_read_config_byte" },
	{ 0x7d4dc561, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6383487f, "napi_disable" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x26c1bf91, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf05b98df, "flow_rule_match_control" },
	{ 0x8659f2c8, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdb3ada0e, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8510c3f, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6ac3003, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x349a2923, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D027019CFBA78A57F727A0A");
