#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x266d24cc, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xb2b9291a, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xf02640e5, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x80cd0e2c, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x5dea32ed, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x5913c906, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x81129bf3, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x7afca15d, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x23a4eadc, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x404f1738, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x7a1c373f, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x92e019d3, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0xa10c4e6f, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x7b93fbea, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x2ebb7d36, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0xa6e75af7, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xebdf71e4, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xa93caa12, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x6dccf15f, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0xf308e8b7, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xd6da88fd, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xb6c316fe, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x5a720d5c, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x4fd40b83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d56bda, "cfg80211_sched_scan_results" },
	{ 0x23110d1, "skb_complete_wifi_ack" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd50a8c2c, "cfg80211_mgmt_tx_status_ext" },
	{ 0x305e1328, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xaee357ea, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2cb5fee7, "devm_request_threaded_irq" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9f82f4d7, "cfg80211_chandef_dfs_required" },
	{ 0x1c47a87b, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb41234b3, "cfg80211_sched_scan_stopped" },
	{ 0xddc164e5, "param_ops_ushort" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x61192aa8, "cfg80211_remain_on_channel_expired" },
	{ 0xc65ccb6a, "cfg80211_cac_event" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89c408e3, "cfg80211_register_netdevice" },
	{ 0xfd8fd8d4, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfa86c875, "ieee80211_amsdu_to_8023s" },
	{ 0x4f89d362, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xba36735d, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1f0b5ac1, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xabe5dae6, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0x6f69a06d, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3c814b08, "ether_setup" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x87da509, "eth_type_trans" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0xdc56505a, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb3d7fde6, "cfg80211_ready_on_channel" },
	{ 0xc58bde4c, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf6a0af96, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xbc10b55e, "wiphy_register" },
	{ 0xb80e5770, "cfg80211_put_bss" },
	{ 0x20a631f4, "netif_device_detach" },
	{ 0x190f1d06, "cfg80211_ch_switch_notify" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x72190323, "_dev_info" },
	{ 0xbf1906a5, "netif_device_attach" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd7ccf162, "ieee80211_get_channel_khz" },
	{ 0x80d100a2, "__cfg80211_radar_event" },
	{ 0xdaf12705, "cfg80211_tdls_oper_request" },
	{ 0x96dcb3c4, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2aca1c83, "devm_kmemdup" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0xc87ec349, "device_wakeup_enable" },
	{ 0x61675aab, "cfg80211_ibss_joined" },
	{ 0x70a5c198, "request_firmware_nowait" },
	{ 0x306c9707, "simple_open" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x256971, "wiphy_apply_custom_regulatory" },
	{ 0xadd59c10, "cfg80211_michael_mic_failure" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfb0ef0ff, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa9856311, "cfg80211_del_sta_sinfo" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x80ce0a9c, "wiphy_unregister" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc2e5bcae, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbe1c936b, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x524891d9, "netif_tx_stop_all_queues" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x360b93ba, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ab09cd, "of_property_read_variable_u8_array" },
	{ 0xc2b8eeb5, "netif_rx" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xecd9d497, "skb_trim" },
	{ 0xbc029e7, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x564a99bc, "cfg80211_sched_scan_stopped_locked" },
	{ 0x5ad9071, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x4fec92fc, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x76f095f1, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ffb5a19, "skb_copy" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x2e3eda0b, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf467ef8f, "cfg80211_inform_bss_data" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc5a2daf5, "irq_of_parse_and_map" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x8728f48, "param_ops_int" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc22245fc, "cfg80211_connect_done" },
	{ 0xab5f8098, "wiphy_free" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc0d2a28c, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2bc6ec46, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "62E34B45938163D186F724F");
