#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x8fce5c83, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x10101ab0, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xd8a75e79, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x396fb73b, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xddb74892, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xf145949b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x1add6fcb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x151a282b, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xc7098835, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x20ac2380, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x8b2fa6f4, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x3ca92391, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x41041c99, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x5c49c0c6, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x9f617cca, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x2787a303, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x052fc920, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x62f769f6, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xa4b19ae4, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xc34e4d9c, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x4056a6d0, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xbb4a4d63, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xc73a878f, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xe3e2735b, "_gpl");
SYMBOL_CRC(mt76_rx, 0x58e71db8, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xc00183d6, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x977f430a, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xef98cf74, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xa18b0dc9, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xaf92abe9, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xe39d7c84, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xb3175247, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xb6c1a3b5, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xd2c61ca9, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x4f0701ac, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x0a0777ee, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x81bdd07b, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x80d23483, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x0e1fe276, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xfd4b3f89, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x5065e1bf, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xf53d50f1, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x08b2ed14, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x504eb6a9, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x7e98b3ca, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x95163e8f, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x814af4d6, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x68ff834e, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xd840c474, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x60b23071, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x7a65c0aa, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xc4197487, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xb50a33e8, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xce59125e, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x0e93281e, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x4fe0e6c0, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xdbbbf359, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x56993376, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x8a0988c2, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x69f2c622, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x04d1e11b, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xb03b5286, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xfa6489dc, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x329eb6f8, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x2a3773a0, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x701ee1d0, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xcb435784, "_gpl");
SYMBOL_CRC(mt76_tx, 0x07c4db20, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x01c0f134, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x45f80c98, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xb65bbe3a, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x77119a95, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x67e7a6ca, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x74b78826, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x018a6c68, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xdfb02976, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x4e6b2015, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x9658279e, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xb59ef3b9, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x0397bb3e, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x330a4dcd, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x1bc7ad16, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xd0bf8e69, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x31a8e159, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x8b310c12, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xc4ef3508, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xae2a95a9, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xfedcb380, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x8cbb4cba, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x6ec76e7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea8089, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc608951c, "pcie_capability_read_word" },
	{ 0xe5e9cbb8, "__skb_pad" },
	{ 0x8ad92b, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x762475ea, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb81e270, "__ieee80211_schedule_txq" },
	{ 0x32183fa4, "debugfs_attr_write" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0xd6d9a29b, "of_node_put" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x417647b7, "page_pool_alloc_frag" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4ddb17ec, "dmam_alloc_attrs" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb4812e6d, "ieee80211_free_hw" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0x776a67ac, "ieee80211_txq_schedule_start" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5ba73fde, "dma_sync_single_for_device" },
	{ 0xb8146f8b, "skb_add_rx_frag" },
	{ 0xb0bc2fd9, "ieee80211_tx_status_ext" },
	{ 0x9a8b19fb, "debugfs_create_blob" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x5ba4ec5f, "page_pool_destroy" },
	{ 0x83ccbb47, "ieee80211_register_hw" },
	{ 0x62a7347c, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xfb0a9315, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x292e2e81, "ieee80211_sta_eosp" },
	{ 0xdc0f71e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c4653c1, "kthread_park" },
	{ 0x3d176151, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xac3c8f76, "of_get_property" },
	{ 0x25457504, "wake_up_process" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0xb69ce5c5, "ieee80211_get_tx_rates" },
	{ 0xeb99e3ea, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x73fd6d2f, "ieee80211_sta_uapsd_trigger" },
	{ 0x9ef9852f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd40c752e, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x88d9c0aa, "pci_disable_link_state" },
	{ 0x72190323, "_dev_info" },
	{ 0xc81bab0a, "napi_gro_receive" },
	{ 0x3715218e, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xbdce5491, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xad049a26, "of_get_child_by_name" },
	{ 0x9f38101a, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5afba7e2, "ieee80211_queue_delayed_work" },
	{ 0x2aca1c83, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x538df865, "of_prop_next_string" },
	{ 0x77240990, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc46b9ecd, "simple_attr_release" },
	{ 0x105e00d3, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44aeb316, "ieee80211_find_sta_by_ifaddr" },
	{ 0x18a800e5, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x374d3b7e, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x460ab6ee, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xdefa1b4, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x9c7062a1, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x215d1117, "of_find_property" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa394b885, "kthread_stop" },
	{ 0xecda015e, "ieee80211_free_txskb" },
	{ 0x954cca3c, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89f46a4, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdba5378a, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x18ac5841, "ieee80211_rx_list" },
	{ 0x7b1cca34, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa153ba4d, "page_pool_create" },
	{ 0xb108ffca, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x10ceecc3, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42b4dd6f, "kthread_create_on_node" },
	{ 0x25776e7c, "cfg80211_reg_can_beacon" },
	{ 0x41aaa46d, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0xf93b5bc6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd34c9fe7, "ieee80211_unregister_hw" },
	{ 0x67f525ff, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa620bb6a, "of_nvmem_cell_get" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7d750157, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x598f6735, "ieee80211_sta_ps_transition" },
	{ 0xacec1627, "debugfs_create_u8" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4b2d54d, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x78d05829, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "E9F63F2D06E9A40D54F0D32");
