#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x0144f8f3, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x6d4e1e93, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x6ad70898, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x12e4750f, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x19c0b8c5, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x7699543f, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xf692d0c0, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x958b48cf, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xc9f7e80a, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x93942e0e, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xfb1f3eed, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xba6e7464, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xdebea46f, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xc1a969ba, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x6edfe22c, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x78887acb, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x97fd36a8, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xe4d07312, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x3aaf78f0, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xe699f7bd, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xbb9f80b6, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xe1e38a76, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x35c44957, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x5e4e7ea1, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xcdb35c2f, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x55c13173, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xd40a8f8a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x9bb1d78f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xfdc6db8e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x3ec348a0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x3f8e2fa6, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x2783e900, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x1c470673, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xeae1a338, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x2087401c, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xce7ce071, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x60c7c868, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x875addfa, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xbb113423, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x55aec234, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x1d9ba18e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x86e1ac94, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x12bf0ffd, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x55cf1ac6, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x17a1df2b, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x4bf29552, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x4142467e, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x2251aeb2, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x2bcdb63f, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xdff670f8, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x81c898ff, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xfe01140f, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x1b37c903, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x37454b56, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xbf671d55, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x3fb36492, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x9a7878da, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xe0345d8a, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xacd8b508, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x17aa47f2, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x4aa09019, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x9c0df2df, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x93bab188, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x17ea3257, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xf3806619, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x6eb1f292, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea8089, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf145949b, "__traceiter_mac_txdone" },
	{ 0x41041c99, "mt76_dma_rx_poll" },
	{ 0xb03b5286, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x762475ea, "simple_attr_open" },
	{ 0x32183fa4, "debugfs_attr_write" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a3773a0, "mt76_tx_status_skb_get" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0x4d1e11b, "mt76_tx_status_lock" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0xf53d50f1, "mt76_csa_check" },
	{ 0x329eb6f8, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x1add6fcb, "__traceiter_dev_irq" },
	{ 0x69f2c622, "mt76_tx_check_agg_ssn" },
	{ 0xb0bc2fd9, "ieee80211_tx_status_ext" },
	{ 0x67e7a6ca, "mt76_stop_tx_queues" },
	{ 0x8874ec1c, "___pskb_trim" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xcb435784, "__mt76_tx_complete_skb" },
	{ 0x2a3f68c1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8877f62, "ieee80211_restart_hw" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xdc0f71e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7c4653c1, "kthread_park" },
	{ 0xc4ef3508, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa0777ee, "mt76_wcid_init" },
	{ 0x701ee1d0, "mt76_tx_status_check" },
	{ 0x25457504, "wake_up_process" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x9b02a8c3, "ieee80211_get_buffered_bc" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0xb69ce5c5, "ieee80211_get_tx_rates" },
	{ 0xeb99e3ea, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd40c752e, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7c4db20, "mt76_tx" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0x5065e1bf, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xe39d7c84, "mt76_wcid_key_setup" },
	{ 0x72190323, "_dev_info" },
	{ 0x517d217d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x58e71db8, "mt76_rx" },
	{ 0x69b26237, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc4197487, "mt76_phy_dfs_state" },
	{ 0xac6a3bda, "wiphy_to_ieee80211_hw" },
	{ 0xd840c474, "mt76_init_queue" },
	{ 0x9f38101a, "debugfs_attr_read" },
	{ 0xb6c1a3b5, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfa6489dc, "mt76_tx_status_skb_done" },
	{ 0x5afba7e2, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x6f2b92c4, "debugfs_create_bool" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc46b9ecd, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0xef98cf74, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xc3dd4567, "ieee80211_wake_queues" },
	{ 0xae2a95a9, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc06eaf93, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x31a8e159, "__mt76_mcu_msg_alloc" },
	{ 0x8fce5c83, "mt76_set_irq_mask" },
	{ 0xb762c561, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa5ed340a, "ieee80211_calc_tx_airtime" },
	{ 0x10ceecc3, "debugfs_create_u32" },
	{ 0xce59125e, "mt76_seq_puts_array" },
	{ 0xd6ebaafa, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x7decdfb0, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8b310c12, "mt76_mcu_get_response" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0xf93b5bc6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb65bbe3a, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1bc7ad16, "mt76_rx_aggr_start" },
	{ 0x396fb73b, "____mt76_poll_msec" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0x76b784e6, "ieee80211_beacon_get_tim" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x81bdd07b, "mt76_wcid_cleanup" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7d750157, "seq_puts" },
	{ 0x1328c9f9, "ieee80211_radar_detected" },
	{ 0x15e5e2a4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb50a33e8, "mt76_queues_read" },
	{ 0xe93281e, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0x6383487f, "napi_disable" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xd8a75e79, "__mt76_poll" },
	{ 0xd0bf8e69, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xacec1627, "debugfs_create_u8" },
	{ 0x4113e407, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5c49c0c6, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "EA623BBC9C8DFFF3A834226");
