#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x0bb16b11, "");
SYMBOL_CRC(rtw_pci_probe, 0xe216fedb, "");
SYMBOL_CRC(rtw_pci_remove, 0xc0382611, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x0bf09b69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9656b51e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x688cecde, "rtw_tx_queue_mapping" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc608951c, "pcie_capability_read_word" },
	{ 0x2cb5fee7, "devm_request_threaded_irq" },
	{ 0xeeb44d32, "pci_enable_device" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x25f565de, "pci_iomap" },
	{ 0xe4e4f7a4, "pci_alloc_irq_vectors" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0xb4812e6d, "ieee80211_free_hw" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5ba73fde, "dma_sync_single_for_device" },
	{ 0xa4f2ca91, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9695997f, "dev_kfree_skb_irq_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5f0dae6e, "pci_set_power_state" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xc1604e9, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0x837d6a09, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x50a4626d, "devm_free_irq" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0x72c4f466, "rtw_chip_info_setup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x708e3def, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xec9da717, "rtw_unregister_hw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x601aebb, "rtw_tx_fill_tx_desc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x86c8fe56, "skb_push" },
	{ 0xbc4f7758, "dma_alloc_attrs" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x84a86742, "rtw_core_init" },
	{ 0x89f46a4, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x82b1a590, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x7b1cca34, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x876f3c41, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5d0a2270, "pci_set_master" },
	{ 0xbccfc910, "ieee80211_stop_queue" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0x695b503c, "rtw_rx_stats" },
	{ 0x74891909, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xbd1ba637, "rtw_register_hw" },
	{ 0x681b4f, "dma_free_attrs" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xffdcc179, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd34c9fe7, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x77ea8f26, "rtw_core_deinit" },
	{ 0xca0a7dfa, "rtw_ops" },
	{ 0x9c644e18, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0x6383487f, "napi_disable" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x6aa3e6a1, "rtw_power_mode_change" },
	{ 0xee04ebeb, "rtw_tx_write_data_h2c_get" },
	{ 0x567368be, "pci_free_irq_vectors" },
	{ 0xc4b2d54d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x586b1ae9, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x176d1815, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
