#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xbad7c8b7, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xeade14c7, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x969302ed, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xc4713e74, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x57ebed9a, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xd1994c4a, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xe305c5b8, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x546748b3, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x2eba6aed, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x623d5658, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x24954ea4, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x9b299c94, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x23b97737, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x36b54934, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xb535165e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x60b1fdbb, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x41256ab4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x81d34494, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x62a340bf, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x71a1b134, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xbf2ef6f5, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xdedc4e60, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x446d55fc, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xe70b094a, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xdb36e1fe, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x87ec5ee1, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x43b84880, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x68f065cb, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x034f33ce, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x6ec8f0b0, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xc5851587, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xe4ee4721, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xe8c1df04, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xcc329851, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x6666a722, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x0704fe73, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x0c0822fa, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xacc1aa6b, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x46d043fc, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x32c139ab, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x0c7ec7b7, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x51eb81f8, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xeada4091, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xef2287b1, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xefb945f7, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32f2f613, "iscsi_host_remove" },
	{ 0xdc112136, "pci_dev_put" },
	{ 0xebc856d6, "iscsi_host_free" },
	{ 0xf26cd4d8, "pci_dev_get" },
	{ 0x54bef9f5, "iscsi_host_add" },
	{ 0xd721c219, "iscsi_host_alloc" },
	{ 0xea70e502, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0xf83e2dcd, "cxgbi_ppm_init" },
	{ 0xe610df95, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb7597e66, "cxgbi_ppm_ppods_reserve" },
	{ 0x590d0051, "dma_map_sg_attrs" },
	{ 0x8e900f50, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x7dbf81db, "cxgbi_ppm_ppod_release" },
	{ 0x1e4b1afa, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x39807f06, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0x10fbf938, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfceef476, "iscsi_tcp_set_max_r2t" },
	{ 0x7f95438b, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x34b97533, "iscsi_tcp_conn_setup" },
	{ 0x88693750, "iscsi_session_setup" },
	{ 0x4f932111, "iscsi_tcp_r2tpool_alloc" },
	{ 0xa4b35731, "iscsi_session_teardown" },
	{ 0xa9efe1bd, "iscsi_tcp_r2tpool_free" },
	{ 0xd9f9b202, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xc470a443, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39dacfa2, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc250bad3, "iscsi_unregister_transport" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd66c10f4, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x5f5fc21a, "iscsi_register_transport" },
	{ 0x129d4960, "init_net" },
	{ 0xc0ca37a7, "ip6_route_output_flags" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x106f1bea, "iscsi_lookup_endpoint" },
	{ 0x8ddb1736, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x574d5240, "iscsi_tcp_hdr_recv_prep" },
	{ 0x6b35a97b, "iscsi_put_endpoint" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19e3a289, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x39770d7d, "iscsi_tcp_recv_skb" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x2a80c000, "dump_page" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x135840, "make_kuid" },
	{ 0xf8598799, "ip_route_output_flow" },
	{ 0x46ac794d, "dst_release" },
	{ 0x8f24ff57, "neigh_destroy" },
	{ 0x4daaf167, "__ip_dev_find" },
	{ 0x23692a77, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x705a1407, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0x971084e1, "module_put" },
	{ 0xefbb8872, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x68913be5, "iscsi_destroy_endpoint" },
	{ 0x9077eaa4, "iscsi_create_endpoint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
