#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x5d6a8a72, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xbdfac26b, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x01f96a2b, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xfbbdf18d, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x4157ede2, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x07cdc685, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x22f80a65, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x16616fd7, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x8b6576d6, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x2e73a143, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x11a8befc, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xdca5cc6f, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xa3d02cdf, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x5f80e27d, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x216af021, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xe17e0d6c, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x70210233, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x80b830a6, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xb89cff8d, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x8c9486dd, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x13018597, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xb838008a, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xe6a1fa7e, "");
SYMBOL_CRC(fcoe_transport_detach, 0xd7d98e72, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x6ab4e626, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xcaa0c559, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x03874eee, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x98564c96, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93fd5d05, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xde0041d4, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xef542145, "dev_set_name" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0xba89470c, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2a80c000, "dump_page" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x4d938d59, "device_unregister" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa235dee3, "fc_rport_logoff" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8de317c3, "fc_disc_init" },
	{ 0x3bd1d593, "fc_rport_login" },
	{ 0xfdbc1ef, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbbe96570, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfe743bf8, "put_device" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x97eda6ed, "fc_lport_reset" },
	{ 0x40f0f629, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x129d4960, "init_net" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf8a325da, "fc_lport_set_local_id" },
	{ 0x614abbe8, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55f6d9fc, "__ethtool_get_link_ksettings" },
	{ 0x867ca009, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x4818c7ac, "fc_vport_id_lookup" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x46a18a4f, "fc_elsct_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x59df43f2, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0xe080a886, "fc_fcp_init" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb01ee598, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa1a6054d, "dev_get_by_name" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da92896, "fc_seq_els_rsp_send" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8728f48, "param_ops_int" },
	{ 0x9fe2dc02, "fc_rport_create" },
	{ 0xc470a443, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x198c2c4a, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xf8c0d60a, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1c2fda52, "fc_linkup" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
