#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x685ebd2f, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xca0d25e1, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x54c403f6, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xd91f4055, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xb42d7d8b, "_gpl");
SYMBOL_CRC(br_forward, 0xcabb1b02, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xfd24b7b0, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x13c709e4, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xceec3d91, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xaaeeb731, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xcbfe513f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xe23ac892, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xad4fcb47, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x5b185010, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x91ef4a85, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x40c5e6d3, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xaf1ce11e, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x8c668c57, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x6204900e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xc8f2f701, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x3e943caf, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x1ad2ad7a, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xb7f52f7b, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa04b92b0, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xad696b42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x8af0edda, "dev_set_mtu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8a69f514, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x63ddfa75, "skb_copy_bits" },
	{ 0x220e0f5a, "__nlmsg_put" },
	{ 0x1b14609c, "ipv6_mc_check_mld" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff94c987, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb9066b23, "netdev_update_features" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x33514e55, "__traceiter_br_fdb_add" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2a1a0e2, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x105bf94d, "__traceiter_br_fdb_update" },
	{ 0x4c0bda19, "dev_uc_del" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa95306ec, "netpoll_send_skb" },
	{ 0x9f1aaf4d, "rtnl_link_register" },
	{ 0xb0b7b582, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb4cf62c4, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xea69e0cd, "dev_set_promiscuity" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9122c856, "unregister_netdevice_queue" },
	{ 0x2a200685, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd2985175, "netdev_state_change" },
	{ 0x18dd9a79, "__pskb_copy_fclone" },
	{ 0xa3a61fa9, "__dev_get_by_name" },
	{ 0x3c814b08, "ether_setup" },
	{ 0x5090240f, "netdev_err" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0xc75f8a35, "register_pernet_subsys" },
	{ 0x82bdea8b, "brioctl_set" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xc6e5f3d4, "arp_xmit" },
	{ 0x11ce32fa, "__traceiter_br_mdb_full" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0x2f545282, "passthru_features_check" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1598dc5f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcd1cc59b, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0xbb165ecd, "kmem_cache_alloc" },
	{ 0x28c856e7, "rtnl_set_sk_err" },
	{ 0x2c34d1a4, "skb_vlan_pop" },
	{ 0xeb09648c, "sysfs_create_link" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xefbb8872, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f31131d, "nla_reserve_64bit" },
	{ 0x1a8b47d7, "__ip_mc_dec_group" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x55a7ac16, "__dev_get_by_index" },
	{ 0x3eb117e7, "rtnl_link_unregister" },
	{ 0xa243e341, "try_to_del_timer_sync" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x129d4960, "init_net" },
	{ 0x570685ea, "ipv6_stub" },
	{ 0x9f4913f7, "inet_confirm_addr" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x55219ae8, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x21ad375c, "skb_vlan_untag" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69836cb2, "rtnl_af_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x94e20a9f, "arp_send" },
	{ 0xc50cc919, "dev_get_by_index_rcu" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x2a2a8ad7, "__traceiter_fdb_delete" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x652032cb, "mac_pton" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x6acca024, "kmem_cache_free" },
	{ 0x29f828d1, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xe6787821, "netdev_upper_dev_unlink" },
	{ 0x8c7b4de6, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb005ef26, "llc_mac_hdr_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x31bc3285, "kobject_init_and_add" },
	{ 0xf79392ba, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xd12b1151, "inet_select_addr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf5a84850, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6ebc539, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa7fc8eeb, "arp_create" },
	{ 0x55f6d9fc, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa5f0f46e, "stp_proto_register" },
	{ 0x55554288, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x5b40ed64, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc36cc16d, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0xfaf17d6d, "dev_get_tstats64" },
	{ 0xc2b8eeb5, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x394861f1, "ip_mc_check_igmp" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xd2bdafbd, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xdd54a26c, "kobject_create_and_add" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x69c34c9f, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91e28c35, "__ip_mc_inc_group" },
	{ 0xf33e79f5, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5dc7ab80, "sysfs_remove_group" },
	{ 0xee8764d, "__traceiter_br_fdb_external_learn_add" },
	{ 0xe732b6a4, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xab9abf01, "__netpoll_setup" },
	{ 0xb01ee598, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x31dad726, "vlan_vid_add" },
	{ 0x8f24ff57, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xb842ca1d, "kobject_del" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x34dc24ea, "call_netdevice_notifiers" },
	{ 0x93b63b86, "is_skb_forwardable" },
	{ 0x29c6adde, "vlan_vid_del" },
	{ 0x2d1715c9, "dev_set_allmulti" },
	{ 0xd556319, "net_ns_get_ownership" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1cb3a05d, "netdev_master_upper_dev_get" },
	{ 0x92f1b662, "ipv6_dev_mc_inc" },
	{ 0x24c7a049, "rtnl_notify" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd4bccebc, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9a89eb98, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46ac794d, "dst_release" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x7fcdbfa, "kobject_uevent" },
	{ 0x2d95e7af, "arp_tbl" },
	{ 0xd51086fb, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb8ceaed3, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7b4f84e5, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d3ae5ea, "netif_set_tso_max_size" },
	{ 0x528c0ec2, "dev_disable_lro" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xec42c4eb, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x334c9750, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x3a263fff, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x185b95b9, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x31658d8d, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9700ba73, "skb_ext_add" },
	{ 0x19ad8453, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x802414f5, "stp_proto_unregister" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xd6c1e25c, "neigh_lookup" },
	{ 0xb67b255a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x3616e803, "kobject_put" },
	{ 0x4e8b28e6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "6C882FED040D6E024A82A86");
