#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xc5348be1, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x3b688ffd, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xbc7fc56a, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xfb188413, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x476131df, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x972cde5f, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x1ebe3709, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x03962fd2, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x5766d5ff, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xf064517a, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x400d380a, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xb32f2e83, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xf88b951c, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x5a3a2c00, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x2debea69, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xef4cf06f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x92a2c8ef, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x0d56bb8e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x63d8d543, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xd5beb6bc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xc3d89569, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xf78008d6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x7625ddca, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xd6d58b6d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x676c95d2, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xadce6f43, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xb3931952, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xc7dd0950, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x336dc2d9, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xc38a091b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xbce8c1a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x18701c60, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf9a482f9, "msleep" },
	{ 0x206996a6, "_dev_warn" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x45bb09a0, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdcb764ad, "memset" },
	{ 0x72190323, "_dev_info" },
	{ 0xbc3d1eff, "sched_set_fifo" },
	{ 0xad98adbf, "_dev_err" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x814aa7bf, "kthread_destroy_worker" },
	{ 0xc30852ab, "crypto_register_aead" },
	{ 0x3bf50455, "crypto_unregister_aead" },
	{ 0xbb0fc526, "crypto_register_ahash" },
	{ 0x59e8f50f, "crypto_unregister_ahash" },
	{ 0xfbe9e850, "crypto_register_akcipher" },
	{ 0xe8f24fef, "crypto_unregister_akcipher" },
	{ 0xea626394, "crypto_register_kpp" },
	{ 0x2f8494c1, "crypto_unregister_kpp" },
	{ 0xaec79c7b, "crypto_register_skcipher" },
	{ 0x16abc487, "crypto_unregister_skcipher" },
	{ 0x4e237fdd, "crypto_enqueue_request" },
	{ 0x8b05d55d, "crypto_dequeue_request" },
	{ 0x2e0c980e, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
