#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b31d2e2, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8f5c6453, "lc_seq_printf_stats" },
	{ 0x208eaed9, "set_disk_ro" },
	{ 0x8135188a, "__blk_alloc_disk" },
	{ 0xa880cf6, "bdev_alignment_offset" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0x184f207d, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x35dcfb49, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd7297192, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfba16232, "lc_get_cumulative" },
	{ 0x58bca524, "bio_split_to_limits" },
	{ 0x674fb3e5, "disk_update_readahead" },
	{ 0xb684ebb4, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd7eff0d9, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2a80c000, "dump_page" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1ddafad6, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xafa3a9fd, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x2a3f68c1, "seq_lseek" },
	{ 0xb4129b09, "blk_queue_write_cache" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb60934ff, "kernel_accept" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x2a200685, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x3d176151, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x45a234bc, "tcp_sock_set_quickack" },
	{ 0xed2bbf8, "bio_end_io_acct_remapped" },
	{ 0x25457504, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x5c96b4eb, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2675693b, "lc_del" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd826e9ff, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1897ad29, "netlink_broadcast" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xc4b8075d, "blk_queue_flag_set" },
	{ 0x12de578e, "lc_committed" },
	{ 0x1d2ebc6a, "lc_get" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xabcfaec1, "blkdev_put" },
	{ 0xf0d9c4d1, "__free_pages" },
	{ 0xd846db08, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7ae45286, "submit_bio" },
	{ 0x971084e1, "module_put" },
	{ 0x8bb478b5, "bio_start_io_acct" },
	{ 0x5cc679fb, "bdev_discard_alignment" },
	{ 0x96d40a48, "lc_try_get" },
	{ 0xc00c1806, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x1e6a17e0, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3a94d1aa, "bio_put" },
	{ 0x28124cd7, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc465996, "copy_highpage" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x129d4960, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x1248193b, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdbdee578, "lc_element_by_index" },
	{ 0x13609de9, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xe71a6120, "submit_bio_noacct" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x61e37ae4, "kernel_sock_shutdown" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xd34271f1, "set_cpus_allowed_ptr" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5b7ec26e, "seq_putc" },
	{ 0x12e5e082, "nla_put" },
	{ 0x305b11e9, "blkdev_get_by_path" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xe8c2067e, "crypto_shash_digest" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd878e447, "iov_iter_kvec" },
	{ 0x35341ae8, "blk_queue_segment_boundary" },
	{ 0x6dd11fe2, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0x1ac23fbb, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ad30b99, "sock_sendmsg" },
	{ 0x33767b15, "bio_add_page" },
	{ 0x6798856d, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x82b62a26, "del_gendisk" },
	{ 0x518d5412, "blk_queue_max_discard_sectors" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xaeb959aa, "lc_create" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x59b4a781, "blk_set_stacking_limits" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe5f394a3, "bd_unlink_disk_holder" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x48a622d2, "bio_alloc_clone" },
	{ 0xf0e20f9b, "lc_try_lock" },
	{ 0xcb7aee67, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x75e88edc, "lc_destroy" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x465b54e8, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbf18a077, "lc_reset" },
	{ 0xd8fcaa1e, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xecd9d497, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42b4dd6f, "kthread_create_on_node" },
	{ 0xa79000a0, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7decdfb0, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x16351a4d, "lc_seq_dump_details" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xec6a870d, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x57936fc2, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x47c63f78, "sock_create_kern" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x1e175c00, "bioset_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64cc3c1b, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0x2901a3c8, "sock_recvmsg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7fcdbfa, "kobject_uevent" },
	{ 0x48cb884a, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x6f298467, "bd_link_disk_holder" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7d750157, "seq_puts" },
	{ 0x15e5e2a4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeb5ba951, "tcp_sock_set_nodelay" },
	{ 0xf881c007, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc00d525, "genl_unregister_family" },
	{ 0x8541dc17, "proc_create_single_data" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xa0ac1736, "blk_queue_max_hw_sectors" },
	{ 0xcb562e6, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8728f48, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4d8d7a4, "lc_find" },
	{ 0x4113e407, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaa77d796, "crypto_alloc_shash" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0x9015846e, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x75f5a1de, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0xd3a11f01, "fs_bio_set" },
	{ 0xb67b255a, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2669d0a0, "blkdev_issue_discard" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "lru_cache");


MODULE_INFO(srcversion, "E101BCE78F2AA7247827232");
