#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xb5944628, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x45954ac5, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x7a1f2f2d, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x5a0b305d, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x4f8b0802, "");
SYMBOL_CRC(drm_atomic_state_init, 0x75488866, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x55c3e842, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xb7878556, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xcaf2a74f, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xbc608da3, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x72f90d1a, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xbdebc2ea, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x071a72c3, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xbb417462, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x3ba447fc, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xbad505eb, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xe8c3a281, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x69b2e096, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x132cd9cf, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x197e71dd, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x237df0ba, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x1d04553b, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xb7f9bed3, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x444a9d33, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x2aceb86a, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xcc03ebb9, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xca728353, "");
SYMBOL_CRC(drm_atomic_check_only, 0xb9370b87, "");
SYMBOL_CRC(drm_atomic_commit, 0x0be16756, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xef31fb91, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x08095932, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x1cb02055, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xcbc924d7, "");
SYMBOL_CRC(drm_state_dump, 0x6f128fae, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xfb186019, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xbb9dc189, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xfc2d64d4, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x1588a573, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xcc122fda, "");
SYMBOL_CRC(drm_is_current_master, 0xdf448c15, "");
SYMBOL_CRC(drm_master_get, 0x6b4ca3d2, "");
SYMBOL_CRC(drm_file_get_master, 0x26a37787, "");
SYMBOL_CRC(drm_master_put, 0xd5568a0b, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x60c216fb, "");
SYMBOL_CRC(drm_master_internal_release, 0x0af94229, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x2a228661, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x996a19bb, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x79af3ec4, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x1c3f6000, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xa87638d1, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xda4f6bbb, "");
SYMBOL_CRC(drm_bridge_add, 0x21274706, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x15548cdb, "");
SYMBOL_CRC(drm_bridge_remove, 0xeaa68e06, "");
SYMBOL_CRC(drm_bridge_attach, 0x1124068a, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x8f8e5fca, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xf8ed9253, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x17662cc6, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xdb087ec3, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x2e2ef5f0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xf23ef259, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x18983026, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x95402d59, "");
SYMBOL_CRC(drm_bridge_detect, 0x3e48e9a5, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x2b187a2c, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x7bf37f6c, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x7da4d077, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xf576c214, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xfc77b727, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xf74f644e, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x2524cbe1, "");
SYMBOL_CRC(drm_clflush_pages, 0xfec122b8, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x17088513, "");
SYMBOL_CRC(drm_client_register, 0x9ca86e91, "");
SYMBOL_CRC(drm_client_release, 0x4139b5b8, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xdb808bf1, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x22f71a6a, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xc5eb2932, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x5ec646c8, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x95262127, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x3ff717dc, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x294e8986, "");
SYMBOL_CRC(drm_client_rotation, 0x1d282fb1, "");
SYMBOL_CRC(drm_client_modeset_check, 0x45fb8a12, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x4e14bf36, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xf2c43056, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xb2ab391a, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x231ed4d3, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xf88ebb1e, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x93d21eaa, "");
SYMBOL_CRC(drm_color_lut_check, 0xa05a9a00, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xd3f8c5c4, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x7344c68d, "");
SYMBOL_CRC(drmm_connector_init, 0xe749455d, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x23e45bb9, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xb7eccb23, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x440c9c92, "");
SYMBOL_CRC(drm_connector_cleanup, 0xbcaa7e6e, "");
SYMBOL_CRC(drm_connector_register, 0x881bbdc4, "");
SYMBOL_CRC(drm_connector_unregister, 0x2b4f19e5, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x02a02bfa, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x1a1bb977, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x8fc3e016, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x1798fb2c, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x3f6bdbe5, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x33f94a1d, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x58807eaa, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xe37d4ee6, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x870c2b23, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x5daf7f1a, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x56b18432, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x4d2863a0, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xba2c79db, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x29f91f83, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xf1eb8a20, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x7830f0a3, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x53f05493, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x26aa15fd, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xd8fe8299, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x30fa8ab2, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x006fb8c8, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x84c4ba38, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x1ea78c2d, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x34db671c, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xfa9753b0, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xcddad89e, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x0afec28c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xbc9447e5, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x9e6811f7, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x051ccf4c, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x2096632d, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xe004e10e, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x73a7b1ce, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xe5f0b586, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x6c170978, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xf0e2bf17, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x5deee9a9, "");
SYMBOL_CRC(drm_crtc_from_index, 0x60607959, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xf54fda2b, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xfd4d9695, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x6bf56462, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x2043fb94, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xb7d919c3, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x31f98902, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x176ce31c, "");
SYMBOL_CRC(drm_put_dev, 0xc714e456, "");
SYMBOL_CRC(drm_dev_enter, 0x7ca1eada, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xd00ed885, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x75fb8f19, "");
SYMBOL_CRC(drm_dev_alloc, 0x3c8b3ff1, "");
SYMBOL_CRC(drm_dev_get, 0xe850656a, "");
SYMBOL_CRC(drm_dev_put, 0xb7b33fdc, "");
SYMBOL_CRC(drm_dev_register, 0xb5eae34b, "");
SYMBOL_CRC(drm_dev_unregister, 0x6ac71ad1, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xe8764f03, "");
SYMBOL_CRC(drm_do_get_edid, 0x9ce3b082, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xec9c8f8f, "");
SYMBOL_CRC(drm_get_edid, 0xfdfd620b, "");
SYMBOL_CRC(drm_edid_read_custom, 0xc1291e77, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x4575a7ea, "");
SYMBOL_CRC(drm_edid_read, 0x17c38405, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x0547e816, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xcb0f4e85, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x991ee6aa, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xd8d194d2, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x6038cc16, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0xdaea47c7, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xb336e030, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x3c53dad1, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xf40db01a, "");
SYMBOL_CRC(drm_add_edid_modes, 0x6e015d8d, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x4fa47fd0, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xad0e4e1a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x98243969, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xb76bab5d, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x7883ca61, "");
SYMBOL_CRC(drm_encoder_init, 0x1471a759, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x4fda8c58, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x1e6737cb, "");
SYMBOL_CRC(drmm_encoder_init, 0x1312a3ef, "");
SYMBOL_CRC(drm_open, 0x39168f2f, "");
SYMBOL_CRC(drm_release, 0x5af621ed, "");
SYMBOL_CRC(drm_release_noglobal, 0x9bd25a49, "");
SYMBOL_CRC(drm_read, 0xee4a4340, "");
SYMBOL_CRC(drm_poll, 0x15959912, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x4cb48463, "");
SYMBOL_CRC(drm_event_reserve_init, 0x5974de1e, "");
SYMBOL_CRC(drm_event_cancel_free, 0x2e08bb2f, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xc088a1e3, "");
SYMBOL_CRC(drm_send_event_locked, 0xbde9e1d2, "");
SYMBOL_CRC(drm_send_event, 0xf3a476f9, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x83ec7b42, "");
SYMBOL_CRC(drm_show_fdinfo, 0x01836e37, "");
SYMBOL_CRC(mock_drm_getfile, 0x0907cbf5, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x2950a513, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x0c3c2407, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xddd09809, "");
SYMBOL_CRC(drm_framebuffer_init, 0x59eff9c1, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x7b5b17fb, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xd4f780f2, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x15f59de6, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x0710ac1f, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0xe4900d17, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x93ff5bda, "");
SYMBOL_CRC(drm_gem_object_init, 0x938ace53, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xb756e510, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xf9c4b358, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x6409ff2a, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xe3807273, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x7e726a26, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xba612b5b, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x0972b589, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x7001a02b, "");
SYMBOL_CRC(drm_gem_get_pages, 0xa68208e1, "");
SYMBOL_CRC(drm_gem_put_pages, 0x65bb4128, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x2ff4cf02, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x1a955143, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xf4a25075, "");
SYMBOL_CRC(drm_gem_object_release, 0x708da288, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xcc64271f, "");
SYMBOL_CRC(drm_gem_vm_close, 0xef9e48f9, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x810ef40c, "");
SYMBOL_CRC(drm_gem_mmap, 0xc73dd6b6, "");
SYMBOL_CRC(drm_gem_vmap, 0xbb15f1d0, "");
SYMBOL_CRC(drm_gem_vunmap, 0xdf867e87, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0xda309521, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x0b5d0f05, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xb4a615a3, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x7593cffd, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xca98c6a2, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xa1f58059, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x1cb4c202, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xcc5afb6d, "");
SYMBOL_CRC(drm_gem_evict, 0x2d0bfd6d, "");
SYMBOL_CRC(drm_noop, 0x9bf62848, "");
SYMBOL_CRC(drm_invalid_op, 0xdb1ea5c2, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x339f1853, "");
SYMBOL_CRC(drm_ioctl, 0xad513dab, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xa671b5db, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x559be956, "");
SYMBOL_CRC(drmm_kmalloc, 0x571059f8, "");
SYMBOL_CRC(drmm_kstrdup, 0x33c3f1e7, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xa462c2a3, "");
SYMBOL_CRC(__drmm_mutex_release, 0x3ddd4b7c, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x99e974c6, "");
SYMBOL_CRC(drmm_mode_config_init, 0x03df061f, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x0fc7d574, "");
SYMBOL_CRC(drm_mode_object_find, 0x465438dc, "");
SYMBOL_CRC(drm_mode_object_put, 0x4e8ad4d5, "");
SYMBOL_CRC(drm_mode_object_get, 0x2b68b447, "");
SYMBOL_CRC(drm_object_attach_property, 0x27d8d576, "");
SYMBOL_CRC(drm_object_property_set_value, 0xd1ee5bc4, "");
SYMBOL_CRC(drm_object_property_get_value, 0x9cb57b68, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xf4541ff3, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xca5d3810, "");
SYMBOL_CRC(drm_mode_destroy, 0xfd304ed6, "");
SYMBOL_CRC(drm_mode_probed_add, 0x25acc58d, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x031be212, "");
SYMBOL_CRC(drm_cvt_mode, 0x0faf73c1, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x25500cfd, "");
SYMBOL_CRC(drm_gtf_mode, 0x0b137bf8, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x45b53517, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x1edccf52, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xc77dcc4a, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xfb46bed4, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xc4c44d6f, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xadfb5c15, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x48f3bde2, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x12ce03b7, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x5d8b4518, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xb7bcbf29, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x863190a4, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x0804c87e, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xeb180c29, "");
SYMBOL_CRC(drm_modeset_backoff, 0x0fe8c5cc, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x62f5fd48, "");
SYMBOL_CRC(drm_modeset_lock, 0xa527efd7, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x624b1185, "");
SYMBOL_CRC(drm_modeset_unlock, 0x09b1046f, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x66533b76, "");
SYMBOL_CRC(drm_universal_plane_init, 0x103f95ce, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xbf012426, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xfe744163, "");
SYMBOL_CRC(drm_plane_cleanup, 0xf5e9a414, "");
SYMBOL_CRC(drm_plane_from_index, 0x5bc5e224, "");
SYMBOL_CRC(drm_plane_force_disable, 0x955070fe, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xc0c3783b, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x0ed838ff, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xe94766c8, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x7243eda2, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x0c24a946, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x461e5a67, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x68fc9e44, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xdd5be832, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xd4e5acbd, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xfd9c562e, "");
SYMBOL_CRC(drm_gem_map_attach, 0xb73a09db, "");
SYMBOL_CRC(drm_gem_map_detach, 0x61100b3e, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xce6c6cec, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xdd75a32d, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x326d0eca, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x2606eb1c, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xbbc9843d, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x6598a65d, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x696dc863, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x69036349, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x34d89d6a, "");
SYMBOL_CRC(drm_gem_prime_import, 0x2f029481, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x7cd43f46, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xfff70401, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x4b30e775, "");
SYMBOL_CRC(__drm_dev_dbg, 0xadfa90c2, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x1b4317d3, "");
SYMBOL_CRC(drm_property_create, 0x61ff94b3, "");
SYMBOL_CRC(drm_property_create_enum, 0xb7aa309a, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xd9d423d4, "");
SYMBOL_CRC(drm_property_create_range, 0x21cf67a4, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xcdfc8ee4, "");
SYMBOL_CRC(drm_property_create_object, 0x24ff4536, "");
SYMBOL_CRC(drm_property_create_bool, 0x570d9220, "");
SYMBOL_CRC(drm_property_add_enum, 0xcc942f8d, "");
SYMBOL_CRC(drm_property_destroy, 0x4ac4455a, "");
SYMBOL_CRC(drm_property_create_blob, 0x80f5b0d2, "");
SYMBOL_CRC(drm_property_blob_put, 0x7fb12703, "");
SYMBOL_CRC(drm_property_blob_get, 0xca649fc2, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x704663e8, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x09f82f47, "");
SYMBOL_CRC(drm_property_replace_blob, 0x756551ba, "");
SYMBOL_CRC(drm_syncobj_find, 0xd2759cde, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x4ab4eda0, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xd041d977, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x9c6d67a5, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xe224ef92, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x3057489b, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x86d7cf16, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xf988f457, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x89f46f36, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xd775953b, "");
SYMBOL_CRC(drm_class_device_register, 0x54a0b717, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x2f9fe705, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xc0d85132, "");
SYMBOL_CRC(drm_vblank_init, 0x97c9bcab, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x469582d9, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x9081198f, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x5884ab78, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x56d44e2e, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xbea4feb5, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x4c036994, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x4cb58dbc, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x476e7b55, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x9d77473e, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x4c03b790, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x969a0f7c, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x86526dc8, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xc42c33e1, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x3e5976db, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x8cb8a8a6, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x9c066e34, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x47053e7f, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xc3002982, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xc3da3be9, "");
SYMBOL_CRC(drm_handle_vblank, 0x3946c56c, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xa10f81a3, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x718a7193, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x6e6bb50f, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xf347ce8a, "");
SYMBOL_CRC(drm_vblank_work_init, 0x3258a211, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0xe220c612, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0x969bf51b, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x87c5a34a, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xf2a6ced7, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x7184540a, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x910c27ee, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x7c2e3574, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x5a19279f, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x8fd87c07, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x2645b24f, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0x9d91841b, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x93272127, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x19dc9738, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x711628e3, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x127a1347, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x6eb2f273, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x5412ce9c, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0x12d79376, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0x206ea55e, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x675a24c7, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x9a74d81e, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0xa0c2f689, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x0bdaf465, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x14ef1193, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x998ad775, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xe6b7d85a, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xac96b02f, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x59acad55, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x3da3f077, "");
SYMBOL_CRC(drm_panel_init, 0x5af71718, "");
SYMBOL_CRC(drm_panel_add, 0x0c3818b2, "");
SYMBOL_CRC(drm_panel_remove, 0x03fa63e8, "");
SYMBOL_CRC(drm_panel_prepare, 0x1c05c447, "");
SYMBOL_CRC(drm_panel_unprepare, 0x8b3a6029, "");
SYMBOL_CRC(drm_panel_enable, 0x460f92a4, "");
SYMBOL_CRC(drm_panel_disable, 0x8a9c5493, "");
SYMBOL_CRC(drm_panel_get_modes, 0x0181ae88, "");
SYMBOL_CRC(of_drm_find_panel, 0x00e442fe, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x30f8909a, "");
SYMBOL_CRC(drm_is_panel_follower, 0x35455d31, "");
SYMBOL_CRC(drm_panel_add_follower, 0x7a3f25b5, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x84d9fb93, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xfdd895d1, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x66c71949, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x8a8952b6, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0xe7bcbee8, "");
SYMBOL_CRC(drm_of_component_match_add, 0x5ca2a2a4, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0x1d0f1bb7, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0xbaf6eab1, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x8c909839, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0x9e388bce, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x17032062, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0x71afb88e, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0xbf2d5932, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0x564ebeb1, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xdd3dbf59, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xeba12d57, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x8a475bfd, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x13221de0, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x71cb7af5, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x47a76536, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0x2637f1e2, "anon_inode_getfile" },
	{ 0x682e1d7d, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x79a75b80, "alloc_anon_inode" },
	{ 0x7e8725d8, "show_class_attr_string" },
	{ 0xe4d7b9cf, "kthread_cancel_work_sync" },
	{ 0xdfce0ec7, "is_acpi_device_node" },
	{ 0x45bb09a0, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x48edacb6, "kthread_flush_work" },
	{ 0xeef86810, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe6647d4d, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd6d9a29b, "of_node_put" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2f8b1da3, "shmem_read_folio_gfp" },
	{ 0xa7a9b611, "__folio_batch_release" },
	{ 0xef542145, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb12bd559, "component_master_add_with_match" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0x6466a091, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xbc5f7a23, "dma_resv_wait_timeout" },
	{ 0x4d938d59, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x3529db21, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfd8fd8d4, "request_firmware" },
	{ 0x22573910, "class_destroy" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0xeea1cedf, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x54247dee, "ww_mutex_unlock" },
	{ 0xd978464, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xf1385e, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xa5df491b, "of_graph_parse_endpoint" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe0e3e60c, "component_del" },
	{ 0xd6fab703, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f32847b, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x51005f01, "iput" },
	{ 0x2a3f68c1, "seq_lseek" },
	{ 0x7567dddd, "of_node_get" },
	{ 0x4edecf47, "of_graph_get_remote_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2737482f, "of_graph_get_remote_port" },
	{ 0xddba50e1, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x6d29f224, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x45cd805c, "get_device" },
	{ 0xa0f3315e, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x64c375fa, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea4783f, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x25457504, "wake_up_process" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0x82279274, "dma_buf_map_attachment_unlocked" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4df79ec3, "ww_mutex_trylock" },
	{ 0xd85df294, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x320adcfc, "devm_of_find_backlight" },
	{ 0x9ef9852f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x651a8044, "dma_max_mapping_size" },
	{ 0xfe743bf8, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf71efac4, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x18701c60, "kthread_queue_work" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x72190323, "_dev_info" },
	{ 0xeeaa546, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x971084e1, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeb09648c, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa69f298, "__task_pid_nr_ns" },
	{ 0xf4368466, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc629df41, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xcbcbf83f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x18b685bb, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1f2e4838, "__of_parse_phandle_with_args" },
	{ 0x55219ae8, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8d942eae, "pid_task" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4f567564, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xaf10ebfb, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x5541caed, "folio_mark_accessed" },
	{ 0x236c976d, "dma_resv_fini" },
	{ 0xe8321596, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x9fb142d3, "dma_buf_get" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xae463c23, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xa8292218, "ww_mutex_lock" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xab2896e3, "of_property_count_elems_of_size" },
	{ 0x67605155, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcdbc67d3, "dma_buf_fd" },
	{ 0x41013583, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x215d1117, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x74c11d1c, "of_graph_get_next_endpoint" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcf77b284, "of_device_is_available" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xb1590f2b, "of_graph_get_remote_node" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x867ca009, "device_register" },
	{ 0xf30e4aa9, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x167dc7a5, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x45883183, "unregister_acpi_bus_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd8fcaa1e, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20d1771a, "component_release_of" },
	{ 0x3f5b2ec5, "devm_aperture_acquire_for_platform_device" },
	{ 0x318423f4, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x22be41e, "check_move_unevictable_folios" },
	{ 0x41aaa46d, "bpf_trace_run3" },
	{ 0x7decdfb0, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0x79fda84a, "of_find_mipi_dsi_host_by_node" },
	{ 0x13a3ea18, "dma_map_sgtable" },
	{ 0x814aa7bf, "kthread_destroy_worker" },
	{ 0xaa4c42d7, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa3d0812a, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9081575e, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb11d375b, "seq_write" },
	{ 0xdc92c227, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xeb8c5be4, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x695a4a0d, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0x67301303, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0xedace1ca, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7d750157, "seq_puts" },
	{ 0x15e5e2a4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf84679fb, "pid_vnr" },
	{ 0xbc3d1eff, "sched_set_fifo" },
	{ 0x6434a7b8, "of_node_name_eq" },
	{ 0xfbcca1b8, "simple_release_fs" },
	{ 0x1e4b1afa, "dma_unmap_sg_attrs" },
	{ 0x62f736c4, "kill_anon_super" },
	{ 0x8d8e1516, "from_kuid_munged" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xa8358bba, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0x29212c6c, "component_add" },
	{ 0xc7393a47, "dma_resv_test_signaled" },
	{ 0xd21f2713, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0x8728f48, "param_ops_int" },
	{ 0xc470a443, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4113e407, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x4dcfcd21, "put_pid" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x79149f87, "__dev_fwnode" },
	{ 0xa1487768, "pci_bus_type" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x3e6e81ea, "class_remove_file_ns" },
	{ 0xc0eb952e, "simple_pin_fs" },
	{ 0xa28ac112, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "95486827AADE77AA95DFBDB");
