#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x337b5d85, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xd393e126, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x3b718b6e, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x397ff7cd, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x7e61b03f, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x5ee644a0, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x676ac86b, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xc9099753, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xbf312ecd, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x586a02bc, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x850eb50b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xea140a3a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x52a7c54e, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xbfc577d6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x28662f4f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x08448432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5b6d6547, "vmf_insert_pfn" },
	{ 0x682e1d7d, "ww_mutex_lock_interruptible" },
	{ 0xa68208e1, "drm_gem_get_pages" },
	{ 0xde42cdee, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2bc15a64, "invalidate_mapping_pages" },
	{ 0x54247dee, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd6fab703, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xeb6f37df, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f32847b, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7001a02b, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x938ace53, "drm_gem_object_init" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0xb756e510, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xef9e48f9, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcc64271f, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x708da288, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xa8292218, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x96ab3e19, "vmap" },
	{ 0x7e726a26, "drm_gem_handle_create" },
	{ 0xadfa90c2, "__drm_dev_dbg" },
	{ 0x696dc863, "drm_prime_pages_to_sg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5e4bb566, "dma_buf_vunmap" },
	{ 0x4ee09f8e, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0x13a3ea18, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xba612b5b, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1e4b1afa, "dma_unmap_sg_attrs" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x65bb4128, "drm_gem_put_pages" },
	{ 0xf9c4b358, "drm_gem_private_object_fini" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xfff70401, "drm_prime_gem_destroy" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
