#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_register, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_unregister, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x41b81644, "");
SYMBOL_CRC(mmc_request_done, 0x845e0cad, "");
SYMBOL_CRC(mmc_start_request, 0xb1ac256c, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x40c00e61, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xd8fabfa9, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x66c743a4, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xb0da3041, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xc925fa89, "");
SYMBOL_CRC(mmc_is_req_done, 0xad06aba9, "");
SYMBOL_CRC(mmc_wait_for_req, 0x2ba843bc, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x9583b5a1, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x388cfc85, "");
SYMBOL_CRC(__mmc_claim_host, 0xd392b92d, "");
SYMBOL_CRC(mmc_release_host, 0x9780c361, "");
SYMBOL_CRC(mmc_get_card, 0x347517f2, "");
SYMBOL_CRC(mmc_put_card, 0x6cd16be4, "");
SYMBOL_CRC(mmc_detect_change, 0xd7feac21, "");
SYMBOL_CRC(mmc_erase, 0xcde4fc5a, "");
SYMBOL_CRC(mmc_can_erase, 0xd35cfb92, "");
SYMBOL_CRC(mmc_can_trim, 0x5fda554c, "");
SYMBOL_CRC(mmc_can_discard, 0x566cfcd5, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x0a40fc20, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x74817a6f, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x9fb91d4a, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x81f1c57c, "");
SYMBOL_CRC(mmc_set_blocklen, 0xa59c73f3, "");
SYMBOL_CRC(mmc_hw_reset, 0xc03e5c2d, "");
SYMBOL_CRC(mmc_sw_reset, 0x88bd593e, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x3bd3d69e, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x9c3fc9d3, "");
SYMBOL_CRC(mmc_register_driver, 0xb9a857c3, "");
SYMBOL_CRC(mmc_unregister_driver, 0x814ded96, "");
SYMBOL_CRC(mmc_retune_pause, 0x1ac4a796, "");
SYMBOL_CRC(mmc_retune_unpause, 0x9f1041b2, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xcaf99ad6, "");
SYMBOL_CRC(mmc_retune_release, 0x4ac6b223, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x3b7028b6, "");
SYMBOL_CRC(mmc_of_parse, 0x16915b14, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xb3d3a259, "");
SYMBOL_CRC(mmc_alloc_host, 0xddb839ab, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xcb1a791c, "");
SYMBOL_CRC(mmc_add_host, 0xfbd55d36, "");
SYMBOL_CRC(mmc_remove_host, 0xe60184c4, "");
SYMBOL_CRC(mmc_free_host, 0xebc3b7c5, "");
SYMBOL_CRC(__mmc_send_status, 0x2c43fa47, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x85800b36, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x7d55bd1f, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x8ab9b199, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x087fe1fc, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x6bbb9418, "_gpl");
SYMBOL_CRC(mmc_switch, 0xf03aef3b, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x4cb1c865, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x6d2fa3d8, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xb5146551, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x5cab0f6e, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x26122fd9, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xbc9242d1, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xa520d28b, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x67aa421a, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x2b158e98, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x70b83de4, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xa13258a4, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x57c912a6, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xa7f1b33f, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xf2a8985f, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x5fae698d, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xaf8b6bcd, "_gpl");
SYMBOL_CRC(sdio_readb, 0x4db00d1d, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x495a4303, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xa8274173, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x55c58218, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x8b94caac, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x1b08602e, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x8678281d, "_gpl");
SYMBOL_CRC(sdio_readw, 0x0b309042, "_gpl");
SYMBOL_CRC(sdio_writew, 0x468a0f29, "_gpl");
SYMBOL_CRC(sdio_readl, 0x94e9b2a1, "_gpl");
SYMBOL_CRC(sdio_writel, 0x87b26fd1, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xf41a8b90, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xd5cb47b3, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x61fd9430, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x446c07e8, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xe89a8818, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xcb3537ef, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xf8403622, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x6670f851, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x3658e92b, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xadf4bd2e, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x5b06a04f, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x4c8d18c6, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x345926c6, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x6e06c558, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xeac7347e, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x430c9ff4, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x84a7ee5c, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x5baa1cd0, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x7b2404b9, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x85ebeae2, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x233300e9, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x66c31725, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xfc4a494a, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x56de4cb9, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x6d407922, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x55563f4d, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x0f9d2b2c, "_gpl");
SYMBOL_CRC(mmc_pwrseq_register, 0x00f2b88f, "_gpl");
SYMBOL_CRC(mmc_pwrseq_unregister, 0x27344627, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x486ad8c0, "gpiod_get_value_cansleep" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc82754e7, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x618fd44a, "device_property_present" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0xe6d36199, "wakeup_source_register" },
	{ 0xdfce0ec7, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x762475ea, "simple_attr_open" },
	{ 0x2cb5fee7, "devm_request_threaded_irq" },
	{ 0x32183fa4, "debugfs_attr_write" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0xd6d9a29b, "of_node_put" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xef542145, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0xa2dc888d, "device_match_of_node" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0x33910c84, "led_trigger_register_simple" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd978464, "device_initialize" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x67c4a419, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2a3f68c1, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x73bf33cb, "gpiod_toggle_active_low" },
	{ 0xc9a20f9e, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0x8c17e8eb, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x73f20083, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x45cd805c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0x3d176151, "sched_set_fifo_low" },
	{ 0x14042fa5, "devres_add" },
	{ 0xe06066a7, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x25457504, "wake_up_process" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x4c6029cf, "pm_generic_runtime_resume" },
	{ 0x93dfb096, "pm_generic_resume" },
	{ 0x3984ff96, "regulator_get_voltage" },
	{ 0xa881ac36, "__pm_runtime_set_status" },
	{ 0xe53200e2, "pm_wakeup_ws_event" },
	{ 0xd5ea990c, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9ef9852f, "of_get_next_child" },
	{ 0x82d7260c, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfe743bf8, "put_device" },
	{ 0x8be797c8, "pm_runtime_enable" },
	{ 0x62e35b84, "device_property_read_u32_array" },
	{ 0x72190323, "_dev_info" },
	{ 0x8d1b6ad4, "gpiod_set_debounce" },
	{ 0x55a97c77, "dev_pm_domain_detach" },
	{ 0x971084e1, "module_put" },
	{ 0xa8caad9d, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbaa2fb54, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9f38101a, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0x40f0f629, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x77240990, "debugfs_create_file_unsafe" },
	{ 0x18b685bb, "device_add" },
	{ 0x1f2e4838, "__of_parse_phandle_with_args" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc46b9ecd, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1a282f11, "wakeup_source_unregister" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa2dd9e0, "__devres_alloc_node" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf17a3c05, "driver_unregister" },
	{ 0x6ab41229, "devm_gpiod_get_index" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x215d1117, "of_find_property" },
	{ 0x581d9f61, "class_unregister" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa394b885, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xf30e4aa9, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc3941606, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb66e17e3, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6baef5fa, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42b4dd6f, "kthread_create_on_node" },
	{ 0xda02451a, "devm_kasprintf" },
	{ 0x7decdfb0, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed8d51c, "gpiod_cansleep" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0xe1b0ad22, "gpiod_is_active_low" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0xad4102e4, "of_device_is_compatible" },
	{ 0xf442343a, "__pm_runtime_resume" },
	{ 0x3951224a, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x79085d10, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x15e5e2a4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf3f0535f, "regulator_disable" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x40642318, "__pm_runtime_suspend" },
	{ 0x9061afdf, "set_primary_fwnode" },
	{ 0x2f979fbf, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4113e407, "single_open" },
	{ 0x453bb6df, "gpiod_set_consumer_name" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x546efe39, "__pm_runtime_disable" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0xdb069a77, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7ff9aac6, "driver_register" },
	{ 0xbe427377, "class_register" },
	{ 0x4420d31a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x79149f87, "__dev_fwnode" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xf8c0d60a, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4EC3EBF3D9299FD278A52A4");
