#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xf2e09a71, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x54f910d6, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x26b957c0, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xff80db12, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x0fd793fd, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xa6df0f2a, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xe7c16b9b, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xe4abbea7, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x36ad7d8a, "_gpl");
SYMBOL_CRC(can_bus_off, 0x88261b00, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x1744c565, "_gpl");
SYMBOL_CRC(free_candev, 0x0a1e14ae, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x9963a4ea, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x14e4d46d, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x7e60af0b, "");
SYMBOL_CRC(open_candev, 0xc2220a9c, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x8e82dc40, "_gpl");
SYMBOL_CRC(close_candev, 0xa336fcc3, "_gpl");
SYMBOL_CRC(register_candev, 0x84a5c8b9, "_gpl");
SYMBOL_CRC(unregister_candev, 0xd42107e3, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x53441328, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xfffa4850, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x9b840ba6, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x75b361b7, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x2ab9f816, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x64add40a, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x83fed9ae, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x2c2d7bb6, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x00447f97, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x88b211bb, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xbbb393d3, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xfa5941e4, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x930cf820, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x46649ff5, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x5251c3e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd6d9a29b, "of_node_put" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xb17a7322, "gpiod_set_value" },
	{ 0x25cc3940, "skb_tstamp_tx" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd61f3c40, "unregister_netdev" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9f1aaf4d, "rtnl_link_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbad78b8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe59bcf1d, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0x5090240f, "netdev_err" },
	{ 0xfdbc1ef, "skb_queue_purge_reason" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0x62e35b84, "device_property_read_u32_array" },
	{ 0xad049a26, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3eb117e7, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x8c7b4de6, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0x102c626c, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xfb17e812, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc2b8eeb5, "netif_rx" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39aa39eb, "dev_err_probe" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xdb3ada0e, "skb_clone_tx_timestamp" },
	{ 0x349a2923, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");
