#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_register_event, "", "");
KSYMTAB_FUNC(nic_unregister_event, "", "");

SYMBOL_CRC(nic_register_event, 0x5fb3cf2b, "");
SYMBOL_CRC(nic_unregister_event, 0x89ae0f40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeef86810, "bpf_trace_run4" },
	{ 0xb3b2b02f, "devlink_unregister" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0xeeb44d32, "pci_enable_device" },
	{ 0x25cc3940, "skb_tstamp_tx" },
	{ 0xe4e4f7a4, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0xcca5a766, "devm_iounmap" },
	{ 0x597c8175, "phy_mii_ioctl" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xcf2a6966, "up" },
	{ 0x8bd10e4e, "pci_num_vf" },
	{ 0x5f33bd0, "flow_rule_match_eth_addrs" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3a276a9c, "ptp_clock_index" },
	{ 0xa4f2ca91, "pci_request_regions" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0xddef7c80, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bd22896, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbc642306, "pci_sriov_get_totalvfs" },
	{ 0x866ab191, "devlink_register" },
	{ 0x2d21133, "devlink_free" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x548dd457, "pcim_iounmap" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x1a4da39e, "pci_irq_vector" },
	{ 0xc24d7096, "flow_rule_match_ipv4_addrs" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5090240f, "netdev_err" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6aa8877e, "phy_connect_direct" },
	{ 0x72190323, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xcb025ab4, "pci_select_bars" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x96ba94c4, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd60410c0, "hnae3_unregister_ae_algo" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0x17654166, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x129d4960, "init_net" },
	{ 0x16780b3, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3197a5a9, "ptp_clock_register" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc4f7758, "dma_alloc_attrs" },
	{ 0x3a615748, "phy_loopback" },
	{ 0x96014087, "mdiobus_read" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x464aef39, "phy_start" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xf4689d50, "linkmode_set_pause" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x79efb171, "flow_rule_match_ports" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5d0a2270, "pci_set_master" },
	{ 0x4c38033b, "flow_rule_match_ipv6_addrs" },
	{ 0xfa0e27a3, "ptp_clock_unregister" },
	{ 0x27ed6d12, "phy_start_aneg" },
	{ 0x4fce5f7c, "hnae3_set_client_init_flag" },
	{ 0x264bc681, "phy_set_asym_pause" },
	{ 0x5d63471a, "devm_mdiobus_alloc_size" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc2078fc3, "dma_set_coherent_mask" },
	{ 0x7430636c, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbfe99f10, "rps_may_expire_flow" },
	{ 0x681b4f, "dma_free_attrs" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xffdcc179, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1aac9367, "flow_rule_match_vlan" },
	{ 0x9879955e, "mdiobus_write" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x1ef1aafe, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe721cba4, "hnae3_register_ae_algo" },
	{ 0x2a98c1b3, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd93707d, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xefd43131, "pcim_iomap" },
	{ 0x9c644e18, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3193cc8c, "dma_set_mask" },
	{ 0x3a8eb6d8, "devm_ioremap_wc" },
	{ 0xa4416c54, "phy_resume" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x6fde3b14, "genphy_read_status" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x26c1bf91, "dcb_ieee_delapp" },
	{ 0x7e02c10f, "phy_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd4b54824, "hnae3_unregister_ae_algo_prepare" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x567368be, "pci_free_irq_vectors" },
	{ 0xf05b98df, "flow_rule_match_control" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8510c3f, "dcb_ieee_setapp" },
	{ 0x41460fc4, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "55D69843722A8257D0E316B");
