#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0x5cdd7151, "");
SYMBOL_CRC(nic_chip_recover_handler, 0x8c0f510b, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0x945c4719, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0x63fc1032, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0x0bb905bc, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0x450934c8, "");
SYMBOL_CRC(nic_set_torus_param, 0x9d977714, "");
SYMBOL_CRC(nic_get_torus_param, 0x53101285, "");
SYMBOL_CRC(nic_clean_stats64, 0x38347147, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xdd9a7c95, "");
SYMBOL_CRC(nic_get_chipid, 0x14c543ee, "");
SYMBOL_CRC(nic_get_mac_id, 0x3113369e, "");
SYMBOL_CRC(nic_get_io_die_id, 0x71bc00ae, "");
SYMBOL_CRC(nic_get_chip_num, 0x0e61eff3, "");
SYMBOL_CRC(nic_get_io_die_num, 0xa2d56b60, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0x89b92ad3, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0xc589a813, "");
SYMBOL_CRC(nic_set_tx_timeout, 0x4f1e07c4, "");
SYMBOL_CRC(nic_get_sfp_present, 0x4e00a69a, "");
SYMBOL_CRC(nic_set_sfp_state, 0xabd12f3c, "");
SYMBOL_CRC(nic_disable_net_lane, 0x0e4e72a9, "");
SYMBOL_CRC(nic_get_net_lane_status, 0xd9049a53, "");
SYMBOL_CRC(nic_disable_clock, 0x471ef296, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0x95bb35b8, "");
SYMBOL_CRC(nic_get_port_fault_status, 0xa146310d, "");
SYMBOL_CRC(nic_get_port_wire_type, 0x90a0bb2b, "");
SYMBOL_CRC(nic_set_mac_state, 0xb08694d8, "");
SYMBOL_CRC(nic_set_led, 0xbf2892ca, "");
SYMBOL_CRC(nic_get_led_signal, 0x7123e3d3, "");
SYMBOL_CRC(nic_get_phy_reg, 0x548b3837, "");
SYMBOL_CRC(nic_set_phy_reg, 0x19992d84, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x202f46f0, "genphy_restart_aneg" },
	{ 0xea390a05, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe5e9cbb8, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8ad92b, "page_pool_get_stats" },
	{ 0x63ddfa75, "skb_copy_bits" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0x25cc3940, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x417647b7, "page_pool_alloc_frag" },
	{ 0xf7c0b294, "__napi_alloc_skb" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf492ecb, "pci_vfs_assigned" },
	{ 0x2a80c000, "dump_page" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xd61f3c40, "unregister_netdev" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x88fec38e, "__pci_register_driver" },
	{ 0x5ba73fde, "dma_sync_single_for_device" },
	{ 0x8bd10e4e, "pci_num_vf" },
	{ 0xb8146f8b, "skb_add_rx_frag" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5ba4ec5f, "page_pool_destroy" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0xbad78b8d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5f0dae6e, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd059de62, "pci_unregister_driver" },
	{ 0x5090240f, "netdev_err" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x87da509, "eth_type_trans" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x90183a1b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x6ac6d599, "ipv6_skip_exthdr" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x72190323, "_dev_info" },
	{ 0xc81bab0a, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xa8f85593, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd362ab9, "eth_get_headlen" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x6abcf851, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x17654166, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x758c4d15, "softnet_data" },
	{ 0x306c9707, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8c0aec1e, "netif_set_real_num_tx_queues" },
	{ 0x40ac8d98, "netif_set_real_num_rx_queues" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xbc4f7758, "dma_alloc_attrs" },
	{ 0xe0b73c17, "hnae3_register_client" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x102c626c, "register_netdev" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa6726374, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x524891d9, "netif_tx_stop_all_queues" },
	{ 0xb762c561, "bpf_trace_run1" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0xce08ebcb, "hnae3_register_ae_dev" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x7b1cca34, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa153ba4d, "page_pool_create" },
	{ 0xb108ffca, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x47f488bd, "netif_schedule_queue" },
	{ 0x9313c61, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1c4de67c, "netdev_set_tc_queue" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30346d4c, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0xf3336c5e, "netdev_reset_tc" },
	{ 0x681b4f, "dma_free_attrs" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4bda3aaa, "__hw_addr_sync_dev" },
	{ 0x22605d50, "pci_disable_sriov" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x5f60ba77, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x7750c98e, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4012c667, "phy_ethtool_ksettings_set" },
	{ 0xc92fd72, "napi_gro_flush" },
	{ 0x3112eab5, "__skb_flow_dissect" },
	{ 0x1e4b1afa, "dma_unmap_sg_attrs" },
	{ 0xdfb4cd07, "hnae3_unregister_client" },
	{ 0x281df7d8, "__napi_schedule_irqoff" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0x69d48e03, "napi_consume_skb" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6383487f, "napi_disable" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x8728f48, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0xf10b1adb, "hnae3_unregister_ae_dev" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8659f2c8, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb192aebe, "skb_to_sgvec" },
	{ 0xdb3ada0e, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6ac3003, "ethtool_op_get_ts_info" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x349a2923, "netdev_info" },
	{ 0x590d0051, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D0EEF77844099CC0C87B892");
