#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x59a2bfdd, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xe55b8925, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5fe6536e, "dev_open" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfb6f3ea0, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8af0edda, "dev_set_mtu" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa1487768, "pci_bus_type" },
	{ 0xd2580e11, "vlan_uses_dev" },
	{ 0x5090240f, "netdev_err" },
	{ 0x55f6d9fc, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0x29c6adde, "vlan_vid_del" },
	{ 0x31dad726, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xde0041d4, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x93c002e8, "dev_uc_sync_multiple" },
	{ 0x53075dfe, "dev_mc_sync_multiple" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa8f85593, "netdev_pick_tx" },
	{ 0xea390a05, "alloc_etherdev_mqs" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x102c626c, "register_netdev" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0xf0a4a751, "failover_register" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0xd61f3c40, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x20a631f4, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9588a2ce, "failover_slave_unregister" },
	{ 0xe7730011, "failover_unregister" },
	{ 0x9122c856, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x42eee0b4, "netdev_lower_state_changed" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0x524891d9, "netif_tx_stop_all_queues" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb0ef0ff, "dev_close" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x22f1a3e1, "vlan_vids_add_by_dev" },
	{ 0x34dc24ea, "call_netdevice_notifiers" },
	{ 0x349a2923, "netdev_info" },
	{ 0x70964397, "dev_uc_unsync" },
	{ 0xbdd01d76, "dev_mc_unsync" },
	{ 0xaff9fd9f, "vlan_vids_del_by_dev" },
	{ 0xb01ee598, "__dev_queue_xmit" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xbc1d371f, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2f545282, "passthru_features_check" },
	{ 0x1f0b5ac1, "eth_validate_addr" },
	{ 0x6ebc539, "ethtool_op_get_link" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
