#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xd159fb0a, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x982fa34f, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xf61f9947, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x3798839a, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x0803af80, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x3abc47d9, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xbd273e53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x96014087, "mdiobus_read" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbd02f8f9, "phy_trigger_machine" },
	{ 0xa785f790, "phy_error" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6fde3b14, "genphy_read_status" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9879955e, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0x618fd44a, "device_property_present" },
	{ 0x48208040, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x39aa39eb, "dev_err_probe" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5620d61, "phy_drivers_register" },
	{ 0x5302b8a4, "phy_read_mmd" },
	{ 0x34db5548, "__genphy_config_aneg" },
	{ 0x83169b72, "phy_modify" },
	{ 0x9166fada, "strncpy" },
	{ 0xa0c2643b, "genphy_soft_reset" },
	{ 0x7643add8, "phy_drivers_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbd6841d4, "crc16" },
	{ 0xb5dbb8ad, "phy_write_mmd" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0x72190323, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2177482d, "genphy_suspend" },
	{ 0xdb0c4121, "genphy_resume" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "8BEA5824C57EDDBD06FCFE5");
