#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x768c357d, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xef67481a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbd6a6323, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x226cbb39, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x349a2923, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x8c7b4de6, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe1df8128, "netif_carrier_on" },
	{ 0x84f806cc, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4a7832da, "from_kgid_munged" },
	{ 0x8d8e1516, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8ba827e7, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfaf17d6d, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x524891d9, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9f1aaf4d, "rtnl_link_register" },
	{ 0x6ae15ba5, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3eb117e7, "rtnl_link_unregister" },
	{ 0x5eac51eb, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x144d7e36, "xdp_return_frame" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x36559bc9, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0x996799f3, "__put_devmap_managed_page_refs" },
	{ 0x2a80c000, "dump_page" },
	{ 0xc81bab0a, "napi_gro_receive" },
	{ 0xdcf0d874, "napi_complete_done" },
	{ 0x3c90c692, "build_skb" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0x721ad5c6, "skb_set_owner_w" },
	{ 0xe5935443, "bpf_prog_put" },
	{ 0x85abcdc5, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a084a23, "sock_init_data_uid" },
	{ 0xf104f5d5, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfdbc1ef, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x33f6a121, "napi_get_frags" },
	{ 0x5c602011, "iov_iter_single_seg_count" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6383487f, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe941ef4, "xdp_rxq_info_unreg" },
	{ 0xe587c0c, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x971084e1, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8c0aec1e, "netif_set_real_num_tx_queues" },
	{ 0x40ac8d98, "netif_set_real_num_rx_queues" },
	{ 0x9122c856, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd2985175, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x18f5c846, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x980e1efd, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3112eab5, "__skb_flow_dissect" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x199d1e1d, "xdp_rxq_info_is_reg" },
	{ 0x27373754, "__xdp_rxq_info_reg" },
	{ 0x602c689f, "xdp_rxq_info_reg_mem_model" },
	{ 0x7c00382, "netif_napi_add_weight" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0xde3b555c, "lock_sock_nested" },
	{ 0x4e1a6cda, "sk_attach_filter" },
	{ 0xce042f6c, "release_sock" },
	{ 0xa3a61fa9, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0xdbf9b45d, "ip_tunnel_header_ops" },
	{ 0x4e8b28e6, "register_netdevice" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0x3c814b08, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xbc1d371f, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8c7d1c7c, "skb_copy_datagram_iter" },
	{ 0xd450a201, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf2df7563, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5090240f, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x97e038c6, "sock_recv_errqueue" },
	{ 0xa3c12bdb, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdb3ada0e, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x11d14f51, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x25cc3940, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb0d1fd14, "skb_copy_ubufs" },
	{ 0xd9c45e67, "__skb_get_hash_symmetric" },
	{ 0x8874ec1c, "___pskb_trim" },
	{ 0x98b058d0, "xdp_do_redirect" },
	{ 0xd6b74317, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xb674fdb4, "__traceiter_xdp_exception" },
	{ 0x80491bbc, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x3883d2cd, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x30346d4c, "__page_frag_cache_drain" },
	{ 0x87da509, "eth_type_trans" },
	{ 0xb4fe9e83, "xdp_master_redirect" },
	{ 0x79eafa73, "do_xdp_generic" },
	{ 0xa973eca7, "skb_page_frag_refill" },
	{ 0xba120d0c, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf9f9aea0, "_copy_from_iter" },
	{ 0x9dfd2181, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64b395f, "skb_copy_datagram_from_iter" },
	{ 0x2b49600f, "napi_schedule_prep" },
	{ 0xda7c604a, "sock_alloc_send_pskb" },
	{ 0x1358693c, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0xd362ab9, "eth_get_headlen" },
	{ 0xd3dfff3f, "napi_gro_frags" },
	{ 0x389ef622, "iov_iter_revert" },
	{ 0x45618c73, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3b77212b, "dev_get_mac_address" },
	{ 0xb4198d23, "get_net_ns" },
	{ 0x59bde33f, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaba378a1, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xb9066b23, "netdev_update_features" },
	{ 0x5f8c408f, "make_kgid" },
	{ 0x135840, "make_kuid" },
	{ 0x199cb78e, "init_user_ns" },
	{ 0x490454a7, "from_kuid" },
	{ 0x83201e18, "dev_set_mac_address_user" },
	{ 0x34dc24ea, "call_netdevice_notifiers" },
	{ 0x51d01eb5, "from_kgid" },
	{ 0x62898dd2, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6ebc539, "ethtool_op_get_link" },
	{ 0xd6ac3003, "ethtool_op_get_ts_info" },
	{ 0x2f545282, "passthru_features_check" },
	{ 0x1322b111, "eth_mac_addr" },
	{ 0x1f0b5ac1, "eth_validate_addr" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
