#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x95800554, "");
SYMBOL_CRC(ath10k_info, 0x2ad495b9, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xfb61219b, "");
SYMBOL_CRC(ath10k_err, 0x1823624a, "");
SYMBOL_CRC(ath10k_warn, 0x78cf7635, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x10c9acfd, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x723ac4d4, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xa09a1fa0, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x52c474fa, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x373deb8c, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x222cba60, "");
SYMBOL_CRC(ath10k_core_start, 0x9f742b07, "");
SYMBOL_CRC(ath10k_core_stop, 0x17cec43a, "");
SYMBOL_CRC(ath10k_core_register, 0x408ebb89, "");
SYMBOL_CRC(ath10k_core_unregister, 0x96d6f63d, "");
SYMBOL_CRC(ath10k_core_create, 0xeb2686fa, "");
SYMBOL_CRC(ath10k_core_destroy, 0x7cfba9c6, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x3be7826b, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xe565665b, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x97a7e4e6, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x506ef2fe, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x44a1e3ae, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x8c771d61, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xf394d9f6, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x1faad2b7, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x7a480a20, "");
SYMBOL_CRC(ath10k_bmi_start, 0x290d5d31, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x9ea39b97, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x4eef2d97, "");
SYMBOL_CRC(ath10k_coredump_new, 0x99ddfa5d, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x524a68ca, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xd9aa434a, "");
SYMBOL_CRC(ath10k_ce_send, 0xc6a02b6b, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xa86384e0, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x03982566, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x888a4968, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x296f7212, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xba194475, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xea5eabf6, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x7a8518ad, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x26edbadb, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xe82f4aa0, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xda2fbc3e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x4d595397, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x645679a9, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x230ca358, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x101253f8, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x8bce895d, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xdc4a73f1, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xcc7865b9, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x3ee60469, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xb7ba3f3d, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x7972f32c, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x7266569f, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x50a58727, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x0dfbe70d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xb9ddfb79, "ieee80211_beacon_update_cntdwn" },
	{ 0xea8089, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x305e1328, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xb8313b99, "ieee80211_connection_loss" },
	{ 0x8cc85e40, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdfce0ec7, "is_acpi_device_node" },
	{ 0xaee357ea, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb81e270, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9f3c7722, "ieee80211_txq_get_depth" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xe6647d4d, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdb536375, "devm_kmalloc" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xa5714fe8, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xc2b21656, "firmware_request_nowarn" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x22b783dc, "ieee80211_txq_may_transmit" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3dec8062, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb4812e6d, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x76a222d3, "dma_unmap_page_attrs" },
	{ 0x776a67ac, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x48b964cd, "ieee80211_iterate_stations_atomic" },
	{ 0x5ba73fde, "dma_sync_single_for_device" },
	{ 0xb0bc2fd9, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe6964cbe, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xba36735d, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9d368b76, "thermal_cooling_device_register" },
	{ 0x83ccbb47, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc8877f62, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xc1604e9, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x5dcff502, "ieee80211_hw_restart_disconnect" },
	{ 0xac3c8f76, "of_get_property" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0xfdbc1ef, "skb_queue_purge_reason" },
	{ 0x23c82bf3, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xb76c9e7f, "ieee80211_find_sta" },
	{ 0x3979fd1c, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x837d6a09, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcbe79ebc, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xb80e5770, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x72190323, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0xd7ccf162, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xeb09648c, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xac6a3bda, "wiphy_to_ieee80211_hw" },
	{ 0xbd2a8ab7, "ath_reg_notifier_apply" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5afba7e2, "ieee80211_queue_delayed_work" },
	{ 0x9641f86b, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x306c9707, "simple_open" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0x55219ae8, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0129bc8, "init_uts_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x44aeb316, "ieee80211_find_sta_by_ifaddr" },
	{ 0x18a800e5, "ieee80211_next_txq" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xef0c3a92, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0xbc4f7758, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x429fcfaf, "napi_enable" },
	{ 0x460ab6ee, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc3dd4567, "ieee80211_wake_queues" },
	{ 0x41013583, "of_property_read_string" },
	{ 0x9c7062a1, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf8f7a9be, "ieee80211_report_low_ack" },
	{ 0xf72f7d8a, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xecda015e, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc2e5bcae, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89f46a4, "ieee80211_alloc_hw_nm" },
	{ 0xbe1c936b, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x66909cc5, "default_llseek" },
	{ 0xdba5378a, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x16eb7e9, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xb7cd2b6d, "skb_dequeue_tail" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ab09cd, "of_property_read_variable_u8_array" },
	{ 0x7ad98e32, "devm_nvmem_cell_get" },
	{ 0xbccfc910, "ieee80211_stop_queue" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0x3a54703e, "ieee80211_ready_on_channel" },
	{ 0xd6ebaafa, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ad9071, "skb_realloc_headroom" },
	{ 0x1c3823d9, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x681b4f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe0c7d162, "ieee80211_scan_completed" },
	{ 0xf93b5bc6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd34c9fe7, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc063f98e, "ath_regd_init" },
	{ 0x76b784e6, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ffb5a19, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x75c898b3, "ieee80211_tdls_oper_request" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1328c9f9, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddb495f0, "thermal_cooling_device_unregister" },
	{ 0x67b4f3d, "ieee80211_tx_rate_update" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x539be263, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6383487f, "napi_disable" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc4b2d54d, "init_dummy_netdev" },
	{ 0xc932381b, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x78d05829, "ieee80211_csa_finish" },
	{ 0x2bc6ec46, "skb_queue_head" },
	{ 0x176d1815, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "969ED40A259DE86BAEE57ED");
