#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xdf8f0984, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x911e8a65, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xb932a716, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x491d186b, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x019bf79e, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x3f4441f5, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xfae7a69d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe1fe276, "mt76_init_sar_power" },
	{ 0x4bf29552, "mt76x02_phy_adjust_vga_gain" },
	{ 0x17aa47f2, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0xe699f7bd, "mt76x02_mac_shared_key_setup" },
	{ 0x875addfa, "mt76x02_ext_pa_enabled" },
	{ 0xce7ce071, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x72190323, "_dev_info" },
	{ 0xbb113423, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x5afba7e2, "ieee80211_queue_delayed_work" },
	{ 0x8a0988c2, "mt76_eeprom_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x35c44957, "mt76x02_mac_setaddr" },
	{ 0xbb4a4d63, "mt76_register_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55cf1ac6, "mt76x02_phy_set_bw" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x17a1df2b, "mt76x02_phy_set_band" },
	{ 0xa18b0dc9, "mt76_set_channel" },
	{ 0x144f8f3, "mt76x02_init_device" },
	{ 0xc3dd4567, "ieee80211_wake_queues" },
	{ 0x60c7c868, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x1d9ba18e, "mt76x02_phy_set_rxpath" },
	{ 0x55c13173, "mt76x02_edcca_init" },
	{ 0xdbbbf359, "mt76_eeprom_override" },
	{ 0x55aec234, "mt76x02_get_lna_gain" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xacd8b508, "mt76x02_init_debugfs" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd6ebaafa, "ieee80211_stop_queues" },
	{ 0xd40a8f8a, "mt76x02_mac_cc_reset" },
	{ 0x4142467e, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xb65bbe3a, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x396fb73b, "____mt76_poll_msec" },
	{ 0x4aa09019, "mt76x02_dfs_init_params" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xe4d07312, "mt76x02_config_mac_addr_list" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfd4b3f89, "mt76_get_sar_power" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2087401c, "mt76x02_eeprom_copy" },
	{ 0x2783e900, "mt76x02_mcu_calibrate" },
	{ 0x3ec348a0, "mt76x02_mcu_function_select" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x12bf0ffd, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xbb9f80b6, "mt76x02_mac_wcid_setup" },
	{ 0xd8a75e79, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x86e1ac94, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xddb74892, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");
