#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xf915726c, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xe8fa645c, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x4219a210, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xac837cde, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xe9cf95dc, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x6c264590, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x4adb6409, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x4333c443, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x56f9b29a, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x73213357, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x79db8090, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x6c8cb9e5, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x2d830285, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x76f930bc, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x41828e3a, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xc6608094, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x8a1e42c8, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x303666c5, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xd6b2fa3c, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x0a2b12fe, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x5de25461, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x91fec94e, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xd7096259, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xc86381ae, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x308500a6, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x76a7862c, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x82a3be2a, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x684fa7f8, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xb2f32521, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x8ac25394, "_gpl");
SYMBOL_CRC(rt2800_config, 0x6f29a018, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xe039fc93, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xdca9287d, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x0c5130ef, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xee9f75dc, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x218e60c7, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x695443f1, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x4998a002, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x7e005b99, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xe2aa75cb, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x40c7645c, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x3efa5a86, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xe34d0c9a, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xc59dd4eb, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xe13251ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdfb06528, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x617e9ff1, "rt2x00lib_txdone" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0xd0dbd7a3, "rt2x00queue_get_entry" },
	{ 0x206996a6, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa5ddd84, "rt2x00lib_get_bssidx" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x72190323, "_dev_info" },
	{ 0x9f38d9a1, "rt2x00mac_conf_tx" },
	{ 0x517d217d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45f811ae, "rt2x00lib_txdone_noinfo" },
	{ 0x86c8fe56, "skb_push" },
	{ 0xcec7d102, "rt2x00debug_dump_frame" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xe5e9cbb8, "__skb_pad" },
	{ 0xc8877f62, "ieee80211_restart_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0x25b2e427, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
