#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x52f3a8ab, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x5fc1850e, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xde32b64d, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x6aa6845e, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x102c47b9, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x1a0a693c, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x6f7d02af, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x58dec439, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x2a3ad347, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x25c4bbf1, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x8149f2f9, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xd260e809, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xae12ba8e, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x8c91ee5b, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xa5a92629, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x8bedb4b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x56f9b29a, "rt2800_process_rxwi" },
	{ 0xdcb764ad, "memset" },
	{ 0x6f29a018, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd0dbd7a3, "rt2x00queue_get_entry" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xe9cf95dc, "rt2800_get_txwi_rxwi_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xac837cde, "rt2800_disable_wpdma" },
	{ 0x4219a210, "rt2800_wait_wpdma_ready" },
	{ 0xee9f75dc, "rt2800_enable_radio" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x6c8cb9e5, "rt2800_txstatus_timeout" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x79db8090, "rt2800_txdone" },
	{ 0x76f930bc, "rt2800_txdone_nostatus" },
	{ 0x2d830285, "rt2800_txstatus_pending" },
	{ 0x7e005b99, "rt2800_probe_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfaf59ac, "rt2x00lib_pretbtt" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7b96effe, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xf6a19609, "rt2x00lib_beacondone" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2x00lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");
