#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0xf9c7e032, "");
SYMBOL_CRC(srp_reconnect_rport, 0x4de2770a, "");
SYMBOL_CRC(srp_timed_out, 0x5e7b2fea, "");
SYMBOL_CRC(srp_rport_get, 0x3582c994, "");
SYMBOL_CRC(srp_rport_put, 0x45d17084, "");
SYMBOL_CRC(srp_rport_add, 0x7c5fa190, "_gpl");
SYMBOL_CRC(srp_rport_del, 0x7a3c565d, "_gpl");
SYMBOL_CRC(srp_remove_host, 0xfa88283d, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0xda9a5252, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0x29d7bfac, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x6ffa0f01, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x1528f570, "device_for_each_child" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfe743bf8, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x45cd805c, "get_device" },
	{ 0x4686c0fe, "transport_remove_device" },
	{ 0xf30e4aa9, "device_del" },
	{ 0x5516dd71, "transport_destroy_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe71204ef, "transport_class_register" },
	{ 0x9b19bd8b, "transport_class_unregister" },
	{ 0x5a921311, "strncmp" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd978464, "device_initialize" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xef542145, "dev_set_name" },
	{ 0xd57c3cc1, "transport_setup_device" },
	{ 0x18b685bb, "device_add" },
	{ 0x4b889389, "transport_add_device" },
	{ 0x981622ac, "transport_configure_device" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8fcf37ae, "attribute_container_register" },
	{ 0x9cee6e47, "attribute_container_unregister" },
	{ 0x46cc6b10, "scsi_is_host_device" },
	{ 0x9a41c804, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2c076714, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xa8301fb9, "__scsi_iterate_devices" },
	{ 0xc470a443, "_dev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B81F578C8A9A5FA95AB73FF");
