#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x7218b787, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x302cfb1a, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xd67afeab, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x3d39ec42, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x64601cb5, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x5f323f5a, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x0f85c1f2, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x6e1c5404, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x8a7d4842, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x7d1962c8, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xcffb027e, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xd30e6bb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x76ed6968, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbd92c204, "bus_find_device" },
	{ 0x18b685bb, "device_add" },
	{ 0xfe743bf8, "put_device" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4d938d59, "device_unregister" },
	{ 0x7ff9aac6, "driver_register" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf17a3c05, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7ea2bee8, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc00d525, "genl_unregister_family" },
	{ 0x40f0f629, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf8c0d60a, "bus_register" },
	{ 0x9015846e, "genl_register_family" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x12e5e082, "nla_put" },
	{ 0x3193cc8c, "dma_set_mask" },
	{ 0xc2078fc3, "dma_set_coherent_mask" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xef542145, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd978464, "device_initialize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d6d7e8c, "netlink_capable" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0xafa3a9fd, "genlmsg_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x13609de9, "netlink_unicast" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
