#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(o2hb_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2hb_setup_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_register_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_unregister_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_no_sem, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_from_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_stop_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_get_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_global_heartbeat_active, "", "");
KSYMTAB_DATA(mlog_and_bits, "_gpl", "");
KSYMTAB_DATA(mlog_not_bits, "_gpl", "");
KSYMTAB_FUNC(__mlog_printk, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_num, "_gpl", "");
KSYMTAB_FUNC(o2nm_configured_node_map, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_ip, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_put, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_get, "_gpl", "");
KSYMTAB_FUNC(o2nm_this_node, "_gpl", "");
KSYMTAB_FUNC(o2net_register_handler, "_gpl", "");
KSYMTAB_FUNC(o2net_unregister_handler_list, "_gpl", "");
KSYMTAB_FUNC(o2net_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message_vec, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message, "_gpl", "");

SYMBOL_CRC(o2hb_fill_node_map, 0xa941cb47, "_gpl");
SYMBOL_CRC(o2hb_setup_callback, 0xf7a6a40c, "_gpl");
SYMBOL_CRC(o2hb_register_callback, 0x4d3fd024, "_gpl");
SYMBOL_CRC(o2hb_unregister_callback, 0x5c8ed981, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_no_sem, 0xbd13ee5d, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_from_callback, 0xc4d99852, "_gpl");
SYMBOL_CRC(o2hb_stop_all_regions, 0x4900035b, "_gpl");
SYMBOL_CRC(o2hb_get_all_regions, 0x58c88ff2, "_gpl");
SYMBOL_CRC(o2hb_global_heartbeat_active, 0xbfd7d7a2, "");
SYMBOL_CRC(mlog_and_bits, 0x81a17396, "_gpl");
SYMBOL_CRC(mlog_not_bits, 0xf56c2017, "_gpl");
SYMBOL_CRC(__mlog_printk, 0x6a0c3847, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_num, 0x08c1c64d, "_gpl");
SYMBOL_CRC(o2nm_configured_node_map, 0xa87bc9e7, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_ip, 0x8143fd53, "_gpl");
SYMBOL_CRC(o2nm_node_put, 0xfec3a016, "_gpl");
SYMBOL_CRC(o2nm_node_get, 0xa9d6cb20, "_gpl");
SYMBOL_CRC(o2nm_this_node, 0xb6ebf62a, "_gpl");
SYMBOL_CRC(o2net_register_handler, 0xfe1298f3, "_gpl");
SYMBOL_CRC(o2net_unregister_handler_list, 0xf1a5611d, "_gpl");
SYMBOL_CRC(o2net_fill_node_map, 0xd859ac8c, "_gpl");
SYMBOL_CRC(o2net_send_message_vec, 0x5e95a4b2, "_gpl");
SYMBOL_CRC(o2net_send_message, 0xf982e6db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf929ea87, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2a80c000, "dump_page" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x644b4114, "config_item_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x827796fc, "set_user_nice" },
	{ 0x8b2fdde1, "sock_create" },
	{ 0x5e635ceb, "tcp_sock_set_user_timeout" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x2c49e831, "kset_unregister" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2a3f68c1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4ba047d4, "configfs_unregister_subsystem" },
	{ 0x25457504, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x122c3a7e, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0xf83c09a4, "fs_kobj" },
	{ 0xabcfaec1, "blkdev_put" },
	{ 0xf0d9c4d1, "__free_pages" },
	{ 0x7ae45286, "submit_bio" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3a94d1aa, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcbcbf83f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1e2b0de4, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x9a13d4cc, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc9bd81f2, "blkdev_get_by_dev" },
	{ 0x9b3cb763, "configfs_remove_default_groups" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x1a161fc5, "config_group_init_type_name" },
	{ 0x61e37ae4, "kernel_sock_shutdown" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93b88690, "debugfs_remove" },
	{ 0xd06617dc, "folio_alloc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd878e447, "iov_iter_kvec" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ad30b99, "sock_sendmsg" },
	{ 0x33767b15, "bio_add_page" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf5a84850, "sysfs_create_group" },
	{ 0xa394b885, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf4f3fcac, "__seq_open_private" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcb7aee67, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6e2f7616, "configfs_depend_item" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42b4dd6f, "kthread_create_on_node" },
	{ 0x7decdfb0, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44ee4642, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xdb0dfd96, "config_item_init_type_name" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf988dd74, "alloc_pages" },
	{ 0x7c43fcf5, "config_item_put" },
	{ 0xb83cff5e, "__folio_put" },
	{ 0xb79ae0c1, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0x2901a3c8, "sock_recvmsg" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x48cb884a, "sock_release" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4b0b3597, "configfs_undepend_item" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeb5ba951, "tcp_sock_set_nodelay" },
	{ 0xbbeb172e, "seq_release_private" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x6961bca5, "kset_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x662e0b52, "sock_create_lite" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdf2672fc, "debugfs_create_dir" },
	{ 0xacad2dcc, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xae9fe59a, "kernel_sendmsg" },
	{ 0x75f5a1de, "bio_alloc_bioset" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0xd3a11f01, "fs_bio_set" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc65f8f30, "kset_create_and_add" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A0221E1546E789655A1EE6");
