#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xc7dbb032, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xbf8e04d6, "");
SYMBOL_CRC(ieee802154_free_hw, 0xf3da0061, "");
SYMBOL_CRC(ieee802154_register_hw, 0x08c3521f, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x74c5164f, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x5be91cee, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x9b918b07, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x7a0a0b8f, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x0e8fd9e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1be7aee, "crypto_skcipher_encrypt" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeef86810, "bpf_trace_run4" },
	{ 0x5ad9bfbf, "nl802154_beaconing_done" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0x596e050e, "skb_dequeue" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xf5b84359, "dev_alloc_name" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xbbaf81bd, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xab4cf2a2, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x2b2c917b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbad78b8d, "netdev_warn" },
	{ 0x63be0eb9, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x248423ee, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xa628fa63, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9122c856, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x948208ae, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41ce8675, "ieee802154_hdr_peek_addrs" },
	{ 0xc8b7ae88, "wpan_phy_unregister" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x5c96b4eb, "crypto_destroy_tfm" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0x3c84901a, "nl802154_scan_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8cdb127c, "nl802154_scan_started" },
	{ 0x776fad5e, "crypto_skcipher_decrypt" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0xde9e365d, "skb_copy_expand" },
	{ 0x27fc35b4, "skb_queue_tail" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4eaed458, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xad98adbf, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43ff7faf, "wpan_phy_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaec379d9, "crypto_aead_encrypt" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0xce8a7f5a, "ieee802154_hdr_peek" },
	{ 0x37f92948, "wpan_phy_free" },
	{ 0x8c7b4de6, "netif_receive_skb" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb762c561, "bpf_trace_run1" },
	{ 0x47bc14b0, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x206996a6, "_dev_warn" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x39310f82, "ieee802154_hdr_pull" },
	{ 0xbacaafc0, "nl802154_scan_event" },
	{ 0x44624f49, "crypto_alloc_sync_skcipher" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4c37f9a, "__dynamic_netdev_dbg" },
	{ 0x41aaa46d, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbc49924, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3e849de0, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x740adaf4, "wpan_phy_new" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x630e60c, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4e8b28e6, "register_netdevice" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "4C2E548343A2E171D18BAF4");
