#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xc5a6e8e9, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x2ae236f4, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x26ae9914, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xeea6043a, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xf3d710ae, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x48de3b03, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xdc501430, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xc01f73e7, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xa06a7cbc, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xc6803bf3, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xd0e2b1db, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x2ce415f5, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x3cbbd1d3, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x6a039331, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x4a2b6f49, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x4b6ce7f2, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x1b669424, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xed9957f7, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x09745973, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xb0be65c1, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xf5e16d9a, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xaa88aa92, "_gpl");
SYMBOL_CRC(print_tuple, 0xcf4bd584, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x066cfc80, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x7ca14202, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xf2e38612, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xe0952482, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x655b1aff, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xd171747e, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x0e556cd3, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x9373d036, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x5c2a0418, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x542d62c6, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xabca186e, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x344dff44, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xc7b37d75, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x78123363, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xa53b58c6, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x14b33a50, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x7a2e4b70, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x892edcfa, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x0810de9b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x5715fb0e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xe4faa040, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x931cea92, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x1350096f, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xfeb782fb, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x7f7d10dd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x9a52826f, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x882d6184, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xe32bb7eb, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xe0e209e5, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x363ffb99, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x7131365b, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xd8a78bac, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x24688cc0, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x44fac649, "_gpl");
SYMBOL_CRC(nf_confirm, 0x20b37187, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x86a3eba7, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xe3e48984, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd68875d6, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x2f08d328, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x50f90e73, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x85675e0c, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x44d0e88b, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x8f964d86, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x262891ef, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xf52a8ba0, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xb7667058, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x4e512fb5, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x8e9e78fb, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x3d9c9824, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x0b9b52ef, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x901e81f3, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xbfa12c82, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xcb10053d, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x32fd17a9, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x5bc56bc0, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xd0efc12b, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x3f399db0, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xcce92df4, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xac2abf2a, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x5e096e1c, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xb90d201a, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xf6e8e656, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x65ccb5e6, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x39378f85, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x144da8e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x548ecf2c, "__do_once_done" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf202b569, "nf_defrag_ipv4_disable" },
	{ 0x1397d84, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0x63ddfa75, "skb_copy_bits" },
	{ 0x66c288a4, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x988561aa, "nf_register_sockopt" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x32f8fd02, "nfct_btf_struct_access" },
	{ 0x2d962a09, "param_set_uint" },
	{ 0x7d776726, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xff66deaf, "nf_ct_frag6_gather" },
	{ 0xd318aa50, "get_net_ns_by_id" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x2a200685, "kmem_cache_create" },
	{ 0x4dad25fb, "nf_ct_hook" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8fdbd5e2, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xc75f8a35, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6e47f401, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x13736906, "nf_unregister_sockopt" },
	{ 0x7f651c50, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x135840, "make_kuid" },
	{ 0x7bfc9d43, "nf_defrag_ipv6_disable" },
	{ 0x6ac6d599, "ipv6_skip_exthdr" },
	{ 0x8eb6cf4, "nf_register_net_hooks" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xbb165ecd, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x971084e1, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4be7d3ec, "nf_checksum" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x129d4960, "init_net" },
	{ 0xb0bd2f38, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6acca024, "kmem_cache_free" },
	{ 0x5b7ec26e, "seq_putc" },
	{ 0x12e5e082, "nla_put" },
	{ 0x650c8d08, "nf_checksum_partial" },
	{ 0x96ff3ea6, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x381476df, "nf_unregister_net_hooks" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xde3b555c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc36cc16d, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xf01ebb4d, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7ab0bace, "nf_log_packet" },
	{ 0x5f8c408f, "make_kgid" },
	{ 0x99796550, "nf_ip_checksum" },
	{ 0x7f421d7b, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0xcf5085df, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf673bf90, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x385ba117, "proc_set_user" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x12b06e84, "param_ops_bool" },
	{ 0x84dfb3c5, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64cc3c1b, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3718a5e, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x43e78732, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x7d750157, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9aba228, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x9aa8c961, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xfe6aaa2f, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb67b255a, "kmem_cache_destroy" },
	{ 0xce042f6c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EFC91646ADB6A5245684DE");
