#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xda39f578, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xe3377987, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xa79d9829, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x135a1a15, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x9a80d48d, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xda82368a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50f90e73, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xd9c45e67, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x927191af, "nsh_pop" },
	{ 0x48de3b03, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3d9c9824, "nf_ct_set_timeout" },
	{ 0xde0041d4, "dev_get_stats" },
	{ 0x466b00d0, "__nla_put" },
	{ 0xaaa46cce, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb459580d, "dev_fill_metadata_dst" },
	{ 0xeef86810, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x63ddfa75, "skb_copy_bits" },
	{ 0x65ccb5e6, "nf_ct_handle_fragments" },
	{ 0x1322b111, "eth_mac_addr" },
	{ 0xc3cf4e38, "skb_put" },
	{ 0xb8b48f53, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcd7f1acc, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb6c6fdac, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xfd541875, "nf_ct_nat" },
	{ 0xd7eff0d9, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd0183c06, "skb_eth_pop" },
	{ 0xb698961c, "trace_raw_output_prep" },
	{ 0xec8c7e89, "skb_gso_validate_mac_len" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x810de9b, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5e096e1c, "nf_ct_helper" },
	{ 0x44c22e92, "__trace_trigger_soft_disabled" },
	{ 0xf8d32b16, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x892a9cc3, "trace_event_printf" },
	{ 0xf45ebc11, "rtnl_delete_link" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9f1aaf4d, "rtnl_link_register" },
	{ 0xac2abf2a, "nf_connlabels_put" },
	{ 0xafa3a9fd, "genlmsg_put" },
	{ 0x8874ec1c, "___pskb_trim" },
	{ 0x71cbf379, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xea69e0cd, "dev_set_promiscuity" },
	{ 0xb9b52ef, "nf_ct_destroy_timeout" },
	{ 0xb90d201a, "nf_ct_add_helper" },
	{ 0x14b33a50, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6674ef75, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6e8e656, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9122c856, "unregister_netdevice_queue" },
	{ 0x2a200685, "kmem_cache_create" },
	{ 0x3ca41511, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0x3c814b08, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x97f8a7a4, "pskb_expand_head" },
	{ 0x3beafd50, "skb_csum_hwoffload_help" },
	{ 0x38c31541, "trace_event_buffer_commit" },
	{ 0x5a2377ef, "dev_addr_mod" },
	{ 0x3f399db0, "nf_connlabels_replace" },
	{ 0x87da509, "eth_type_trans" },
	{ 0x28c9a475, "alloc_netdev_mqs" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xcce92df4, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x1598dc5f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1897ad29, "netlink_broadcast" },
	{ 0x10004304, "skb_eth_push" },
	{ 0x289c3036, "nf_conncount_count" },
	{ 0x54a98a7f, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbb165ecd, "kmem_cache_alloc" },
	{ 0x62569494, "skb_mpls_pop" },
	{ 0x2c34d1a4, "skb_vlan_pop" },
	{ 0xcfbe57f7, "dst_init" },
	{ 0x971084e1, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3eb117e7, "rtnl_link_unregister" },
	{ 0xe3d7ba7a, "perf_trace_run_bpf_submit" },
	{ 0xbf9cdf69, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x129d4960, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x570685ea, "ipv6_stub" },
	{ 0xa1f821c4, "skb_mpls_update_lse" },
	{ 0x9ad1ff4c, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x13609de9, "netlink_unicast" },
	{ 0x7f28b98c, "bpf_trace_run5" },
	{ 0xc50cc919, "dev_get_by_index_rcu" },
	{ 0x78e72fa6, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86c8fe56, "skb_push" },
	{ 0x6acca024, "kmem_cache_free" },
	{ 0xe6787821, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0x98860e27, "trace_event_reg" },
	{ 0x96ff3ea6, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2676aaa1, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf79392ba, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xd77db08b, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6ebc539, "ethtool_op_get_link" },
	{ 0xa06a7cbc, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a2e4b70, "nf_nat_helper_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9b55a44c, "__pskb_pull_tail" },
	{ 0xf3d710ae, "nf_ct_delete" },
	{ 0x429d8ff2, "nf_conncount_init" },
	{ 0xa2f879cd, "skb_vlan_push" },
	{ 0xfaf17d6d, "dev_get_tstats64" },
	{ 0xc2b8eeb5, "netif_rx" },
	{ 0x51aa9853, "__netdev_alloc_skb" },
	{ 0xd2bdafbd, "netdev_master_upper_dev_link" },
	{ 0x14d68ce5, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x1c786cf7, "inet_proto_csum_replace16" },
	{ 0xecd9d497, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbee090ec, "skb_scrub_packet" },
	{ 0xcb10053d, "nf_ct_deliver_cached_events" },
	{ 0xe1e5b0d, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x11d14f51, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb01ee598, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x13409e5f, "trace_event_buffer_reserve" },
	{ 0xf673bf90, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84dfb3c5, "inet_proto_csum_replace4" },
	{ 0xabf4c02f, "nf_conncount_destroy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499e607c, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1cb3a05d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa1a6054d, "dev_get_by_name" },
	{ 0xa137b6f4, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9a89eb98, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46ac794d, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcd51ab07, "peernet2id_alloc" },
	{ 0xc5a6e8e9, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb8ceaed3, "netdev_rx_handler_register" },
	{ 0xf27fc6f8, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xc00d525, "genl_unregister_family" },
	{ 0x528c0ec2, "dev_disable_lro" },
	{ 0x21e48b8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd5b18113, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9015846e, "genl_register_family" },
	{ 0xeea6043a, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x36694ca1, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa13219, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x3de92e38, "skb_mpls_push" },
	{ 0xd34efbd3, "register_pernet_device" },
	{ 0x3cbbd1d3, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc5457e8e, "kmalloc_caches" },
	{ 0x2b2b6dbf, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb67b255a, "kmem_cache_destroy" },
	{ 0x5d1f35f, "__skb_vlan_pop" },
	{ 0x26ae9914, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8b28e6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbeb90fe6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "9AE736D4187887A2FA625FE");
